exports.isVersionGreaterThanOrEqual = function(expected, actual) {
    expected = "" + expected;
    actual = "" + actual;
    var expectedParts = expected.split(".");
    var actualParts = actual.split(".");
    for (var i = 0; expectedParts.length > i; ++i) {
        if (actualParts.length == i) return false;
        var expectedPart = parseInt(expectedParts[i], 10);
        var actualPart = parseInt(actualParts[i], 10);
        if (expectedPart == actualPart) continue;
        return expectedPart > actualPart ? false : true;
    }
    return true;
};

exports.isError = function(err) {
    if (err instanceof Error) {
        err = null;
        return true;
    }
    var errToString = Object.prototype.toString.call(err);
    if (errToString && -1 !== errToString.toLowerCase().indexOf("error")) {
        err = null;
        return true;
    }
    err = null;
    return false;
};