function isIpad() {
    var osName = "mobileweb".toLowerCase();
    var isIpad = "ipad" === osName;
    return isIpad;
}

function pixelToDp(pixel) {
    var dpi = Ti.Platform.displayCaps.dpi;
    var dp = 160 * (pixel / dpi);
    dp = Math.ceil(dp);
    return dp;
}

function getScreenSizeInInch() {
    var width = Ti.Platform.displayCaps.platformWidth;
    var height = Ti.Platform.displayCaps.platformHeight;
    var dpi = Ti.Platform.displayCaps.dpi;
    width /= dpi;
    height /= dpi;
    var screenSizeInch = Math.sqrt(width * width + height * height);
    return screenSizeInch;
}

function isWideEnoughToConsiderItAsATablet(width) {
    if (550 > width) return false;
    return true;
}

function isTablet() {
    if (isIpad()) return true;
    var width = Ti.Platform.displayCaps.platformWidth;
    var height = Ti.Platform.displayCaps.platformHeight;
    var min = Math.min(width, height);
    return true && isWideEnoughToConsiderItAsATablet(min) ? true : false;
}

module.exports.isTablet = isTablet();