function Controller() {
    function L(key) {
        return require("L")(key);
    }
    function openWebsite() {
        var params = {
            title: "Piwik",
            url: "http://piwik.org/"
        };
        Alloy.createController("webview", params).open();
    }
    function followPiwik() {
        require("commands/openLink").execute("https://www.twitter.com/piwik");
    }
    function openSourceCode() {
        require("commands/openLink").execute("https://github.com/piwik/piwik-mobile");
    }
    function participate() {
        var params = {
            title: "Contribute",
            url: "http://piwik.org/contribute/"
        };
        Alloy.createController("webview", params).open();
    }
    function openLicense() {
        var params = {
            title: "Piwik Mobile License",
            url: "http://piwik.org/free-software/mobile/"
        };
        var license = Alloy.createController("webview", params);
        license.open();
    }
    function onOpen() {
        require("Piwik/Tracker").trackWindow("About Piwik Mobile", "about-piwik-mobile");
    }
    function onClose() {
        $.destroy();
        $.off();
    }
    function close() {
        require("layout").close($.index);
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    var __defers = {};
    $.__views.index = Ti.UI.createWindow({
        barImage: "navbar.png",
        backgroundColor: "#FFFFFF",
        barColor: "#CD1628",
        title: L("Mobile_AboutPiwikMobile"),
        id: "index"
    });
    $.__views.index && $.addTopLevelView($.__views.index);
    onClose ? $.__views.index.addEventListener("close", onClose) : __defers["$.__views.index!close!onClose"] = true;
    onOpen ? $.__views.index.addEventListener("open", onOpen) : __defers["$.__views.index!open!onOpen"] = true;
    $.__views.website = Ti.UI.createTableViewRow({
        left: 10,
        right: 10,
        hasChild: true,
        title: "Visit our Website",
        id: "website"
    });
    var __alloyId1 = [];
    __alloyId1.push($.__views.website);
    openWebsite ? $.__views.website.addEventListener("click", openWebsite) : __defers["$.__views.website!click!openWebsite"] = true;
    $.__views.participate = Ti.UI.createTableViewRow({
        left: 10,
        right: 10,
        hasChild: true,
        title: "Participate to Piwik",
        id: "participate"
    });
    __alloyId1.push($.__views.participate);
    participate ? $.__views.participate.addEventListener("click", participate) : __defers["$.__views.participate!click!participate"] = true;
    $.__views.license = Ti.UI.createTableViewRow({
        left: 10,
        right: 10,
        hasChild: true,
        title: "View License",
        id: "license"
    });
    __alloyId1.push($.__views.license);
    openLicense ? $.__views.license.addEventListener("click", openLicense) : __defers["$.__views.license!click!openLicense"] = true;
    $.__views.aboutPiwikTable = Ti.UI.createTableView({
        data: __alloyId1,
        id: "aboutPiwikTable"
    });
    $.__views.index.add($.__views.aboutPiwikTable);
    exports.destroy = function() {};
    _.extend($, $.__views);
    exports.open = function() {
        require("layout").open($.index);
    };
    __defers["$.__views.index!close!onClose"] && $.__views.index.addEventListener("close", onClose);
    __defers["$.__views.index!open!onOpen"] && $.__views.index.addEventListener("open", onOpen);
    __defers["$.__views.headerBar!back!close"] && $.__views.headerBar.on("back", close);
    __defers["$.__views.website!click!openWebsite"] && $.__views.website.addEventListener("click", openWebsite);
    __defers["$.__views.participate!click!participate"] && $.__views.participate.addEventListener("click", participate);
    __defers["$.__views.license!click!openLicense"] && $.__views.license.addEventListener("click", openLicense);
    __defers["$.__views.follow!click!followPiwik"] && $.__views.follow.addEventListener("click", followPiwik);
    __defers["$.__views.sourceCode!click!openSourceCode"] && $.__views.sourceCode.addEventListener("click", openSourceCode);
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;