function Controller() {
    function __alloyId17() {
        __alloyId17.opts || {};
        var models = __alloyId16.models;
        var len = models.length;
        var rows = [];
        for (var i = 0; len > i; i++) {
            var __alloyId14 = models[i];
            __alloyId14.__transform = {};
            var __alloyId15 = Ti.UI.createTableViewRow({
                left: 10,
                right: 10,
                color: "#333",
                title: "undefined" != typeof __alloyId14.__transform["name"] ? __alloyId14.__transform["name"] : __alloyId14.get("name"),
                accountId: "undefined" != typeof __alloyId14.__transform["id"] ? __alloyId14.__transform["id"] : __alloyId14.get("id")
            });
            rows.push(__alloyId15);
        }
        $.__views.accountsTable.setData(rows);
    }
    function L(key) {
        return require("L")(key);
    }
    function chooseAccount(event) {
        require("Piwik/Tracker").trackEvent({
            title: "Accounts - Account selected",
            url: "/accounts/account-selected"
        });
        var account = accounts.get(event.row.accountId);
        account.select(function() {
            $.trigger("accountChosen", account);
            close();
        });
    }
    function deleteAccount(event) {
        if (!event || !event.row) {
            console.log("cannot delete account, row not defined");
            return;
        }
        var account = accounts.get(event.row.accountId);
        if (!account) {
            console.log("cannot delete account, account not found");
            return;
        }
        var currentActiveAccount = require("session").getAccount();
        currentActiveAccount && currentActiveAccount.isSameAccount(account) && require("session").setWebsite(null, null);
        if (account) {
            accounts.remove(account);
            account.destroy();
        }
        displayNoAccountSelectedHintIfNoAccountIsSelected();
        require("Piwik/Tracker").trackEvent({
            title: "Accounts - Account Delete",
            url: "/accounts/account-deleted"
        });
    }
    function deleteAccountIfUserConfirmsButNotOniOS(event) {
        var dialog = Ti.UI.createAlertDialog({
            cancel: 1,
            buttonNames: [ L("General_Yes"), L("General_No") ],
            selectedIndex: 1,
            destructive: 0,
            title: L("Mobile_ConfirmRemoveAccount")
        });
        dialog.addEventListener("click", function(clickEvent) {
            if (!clickEvent || clickEvent.cancel === clickEvent.index || true === clickEvent.cancel) return;
            deleteAccount(event);
        });
        dialog.show();
    }
    function isAnAccountSelected() {
        return !!require("session").getAccount();
    }
    function displayNoAccountSelectedHintIfNoAccountIsSelected() {
        isAnAccountSelected() || $.showNoAccountSelectedHint();
    }
    function addAccount() {
        require("Piwik/Tracker").trackEvent({
            title: "Accounts - Add Account",
            url: "/accounts/add-account"
        });
        newAccountController = Alloy.createController("account_creator", {
            accounts: accounts
        });
        accounts.on("add", onCreatedAccount);
        newAccountController.open();
    }
    function onCreatedAccount() {
        require("Piwik/Tracker").trackEvent({
            title: "Accounts - Account created",
            url: "/accounts/account-created"
        });
        accounts.off("add", onCreatedAccount);
        newAccountController.close();
    }
    function toggleReportChooserVisibility() {
        require("report/chooser").toggleVisibility();
        require("Piwik/Tracker").trackEvent({
            title: "Toggle Report Chooser",
            url: "/accounts/toggle/report-chooser"
        });
    }
    function onOpen() {
        require("Piwik/Tracker").trackWindow("Accounts", "accounts");
    }
    function onClose() {
        $.destroy();
        $.off();
    }
    function close() {
        require("layout").close($.index);
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    var __defers = {};
    Alloy.Collections.instance("appAccounts");
    $.__views.index = Ti.UI.createWindow({
        barImage: "navbar.png",
        backgroundColor: "#FFFFFF",
        barColor: "#CD1628",
        title: L("Mobile_Accounts"),
        id: "index"
    });
    $.__views.index && $.addTopLevelView($.__views.index);
    onClose ? $.__views.index.addEventListener("close", onClose) : __defers["$.__views.index!close!onClose"] = true;
    onOpen ? $.__views.index.addEventListener("open", onOpen) : __defers["$.__views.index!open!onOpen"] = true;
    if (true && !Alloy.isTablet) {
        $.__views.__alloyId6 = Ti.UI.createButton({
            backgroundImage: "ic_action_menu.png",
            width: 32,
            height: 32,
            id: "__alloyId6"
        });
        toggleReportChooserVisibility ? $.__views.__alloyId6.addEventListener("click", toggleReportChooserVisibility) : __defers["$.__views.__alloyId6!click!toggleReportChooserVisibility"] = true;
        $.__views.index.leftNavButton = $.__views.__alloyId6;
    }
    $.__views.addAccountButton = Ti.UI.createButton({
        backgroundImage: "ic_action_accounts.png",
        width: 32,
        height: 32,
        id: "addAccountButton"
    });
    addAccount ? $.__views.addAccountButton.addEventListener("click", addAccount) : __defers["$.__views.addAccountButton!click!addAccount"] = true;
    $.__views.index.rightNavButton = $.__views.addAccountButton;
    $.__views.accountsTable = Ti.UI.createTableView({
        editable: true,
        id: "accountsTable"
    });
    $.__views.index.add($.__views.accountsTable);
    $.__views.noAccountSelectedContainer = Ti.UI.createView({
        visible: false,
        width: Ti.UI.FILL,
        height: 0,
        id: "noAccountSelectedContainer"
    });
    $.__views.noAccountSelectedLabel = Ti.UI.createLabel({
        color: "#CD1628",
        text: L("Mobile_NoAccountIsSelected"),
        font: {
            fontWeight: "bold",
            fontSize: 14
        },
        left: 10,
        right: 10,
        top: 10,
        bottom: 10,
        height: Ti.UI.SIZE,
        textAlign: Ti.UI.TEXT_ALIGNMENT_CENTER,
        id: "noAccountSelectedLabel"
    });
    $.__views.noAccountSelectedContainer.add($.__views.noAccountSelectedLabel);
    $.__views.accountsTable.headerView = $.__views.noAccountSelectedContainer;
    $.__views.__alloyId12 = Ti.UI.createView({
        top: 10,
        bottom: 10,
        left: 0,
        right: 0,
        height: Ti.UI.SIZE,
        width: Ti.UI.FILL,
        id: "__alloyId12"
    });
    $.__views.howToDeleteHint = Ti.UI.createLabel({
        color: "#7e7e7e",
        text: L("Mobile_HowtoDeleteAnAccount"),
        font: {
            fontWeight: "bold",
            fontSize: 14
        },
        left: 10,
        right: 10,
        id: "howToDeleteHint"
    });
    $.__views.__alloyId12.add($.__views.howToDeleteHint);
    $.__views.accountsTable.footerView = $.__views.__alloyId12;
    var __alloyId16 = Alloy.Collections["appAccounts"] || appAccounts;
    __alloyId16.on("fetch destroy change add remove reset", __alloyId17);
    deleteAccount ? $.__views.accountsTable.addEventListener("delete", deleteAccount) : __defers["$.__views.accountsTable!delete!deleteAccount"] = true;
    deleteAccountIfUserConfirmsButNotOniOS ? $.__views.accountsTable.addEventListener("longpress", deleteAccountIfUserConfirmsButNotOniOS) : __defers["$.__views.accountsTable!longpress!deleteAccountIfUserConfirmsButNotOniOS"] = true;
    chooseAccount ? $.__views.accountsTable.addEventListener("click", chooseAccount) : __defers["$.__views.accountsTable!click!chooseAccount"] = true;
    exports.destroy = function() {
        __alloyId16.off("fetch destroy change add remove reset", __alloyId17);
    };
    _.extend($, $.__views);
    var args = arguments[0] || {};
    args.hideCloseButton || false;
    var accounts = Alloy.Collections.appAccounts;
    accounts.fetch();
    $.showNoAccountSelectedHint = function() {
        $.noAccountSelectedContainer.height = Ti.UI.SIZE;
        $.noAccountSelectedContainer.show();
    };
    var newAccountController = null;
    exports.open = function() {
        displayNoAccountSelectedHintIfNoAccountIsSelected();
        require("layout").open($.index);
    };
    exports.close = close;
    __defers["$.__views.index!close!onClose"] && $.__views.index.addEventListener("close", onClose);
    __defers["$.__views.index!open!onOpen"] && $.__views.index.addEventListener("open", onOpen);
    __defers["$.__views.__alloyId6!click!toggleReportChooserVisibility"] && $.__views.__alloyId6.addEventListener("click", toggleReportChooserVisibility);
    __defers["$.__views.__alloyId8!click!toggleReportChooserVisibility"] && $.__views.__alloyId8.addEventListener("click", toggleReportChooserVisibility);
    __defers["$.__views.addAccountButton!click!addAccount"] && $.__views.addAccountButton.addEventListener("click", addAccount);
    __defers["$.__views.headerBar!homeIconItemSelected!toggleReportChooserVisibility"] && $.__views.headerBar.on("homeIconItemSelected", toggleReportChooserVisibility);
    __defers["$.__views.headerBar!actionItem1!addAccount"] && $.__views.headerBar.on("actionItem1", addAccount);
    __defers["$.__views.accountsTable!delete!deleteAccount"] && $.__views.accountsTable.addEventListener("delete", deleteAccount);
    __defers["$.__views.accountsTable!longpress!deleteAccountIfUserConfirmsButNotOniOS"] && $.__views.accountsTable.addEventListener("longpress", deleteAccountIfUserConfirmsButNotOniOS);
    __defers["$.__views.accountsTable!click!chooseAccount"] && $.__views.accountsTable.addEventListener("click", chooseAccount);
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;