function Controller() {
    function setTitle(title) {
        $.title.text = title + "";
    }
    function getTitle() {
        return $.title.text;
    }
    function decrementCounter() {
        if (!currentInterval) return;
        if (0 == currentInterval || "-" == getTitle()) return;
        currentInterval -= 1;
        setTitle(currentInterval);
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    $.__views.countdown_timer = Ti.UI.createView({
        height: 20,
        bottom: 0,
        opacity: .8,
        backgroundColor: "#333333",
        id: "countdown_timer"
    });
    $.__views.countdown_timer && $.addTopLevelView($.__views.countdown_timer);
    $.__views.title = Ti.UI.createLabel({
        color: "white",
        font: {
            fontSize: 14
        },
        id: "title",
        text: "-"
    });
    $.__views.countdown_timer.add($.__views.title);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var intervalInSeconds = 60;
    var interval = null;
    var currentInterval = 0;
    exports.init = function(seconds) {
        intervalInSeconds = seconds;
    };
    exports.stop = function() {
        setTitle("-");
        clearInterval(interval);
        interval = null;
    };
    exports.start = function() {
        interval || (interval = setInterval(decrementCounter, 1e3));
        currentInterval = intervalInSeconds;
        setTitle(intervalInSeconds);
    };
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;