function Controller() {
    function chooseDate() {
        $.trigger("selected", {});
        var reportDate = session.getReportDate();
        var period = reportDate.getPeriodQueryString();
        var date = reportDate.getDateQueryString();
        var params = {
            date: date,
            period: period
        };
        require("commands/openDateChooser").execute(params, onDateChosen);
    }
    function onDateChosen(period, date) {
        var reportDate = new (require("report/date"))();
        reportDate.setPeriod(period);
        reportDate.setDate(date);
        session.setReportDate(reportDate);
    }
    function updateDisplayedDate(reportDate) {
        var dateFormatter = require("date/formatter");
        $.dateLabel.text = dateFormatter ? dateFormatter.getPrettyDate(reportDate) : "";
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    var __defers = {};
    $.__views.index = Ti.UI.createView({
        right: 0,
        left: 0,
        height: Ti.UI.SIZE,
        id: "index"
    });
    $.__views.index && $.addTopLevelView($.__views.index);
    chooseDate ? $.__views.index.addEventListener("click", chooseDate) : __defers["$.__views.index!click!chooseDate"] = true;
    $.__views.__alloyId57 = Ti.UI.createView({
        backgroundImage: "menu_button_background.png",
        height: Ti.UI.SIZE,
        borderColor: "#000",
        borderRadius: 5,
        borderWidth: 1,
        id: "__alloyId57"
    });
    $.__views.index.add($.__views.__alloyId57);
    $.__views.__alloyId58 = Ti.UI.createView({
        backgroundColor: "#595959",
        height: 1,
        top: 0,
        width: Ti.UI.FILL,
        id: "__alloyId58"
    });
    $.__views.__alloyId57.add($.__views.__alloyId58);
    $.__views.__alloyId59 = Ti.UI.createView({
        left: 8,
        top: 5,
        bottom: 5,
        right: 5,
        height: Ti.UI.SIZE,
        id: "__alloyId59"
    });
    $.__views.__alloyId57.add($.__views.__alloyId59);
    $.__views.dateLabel = Ti.UI.createLabel({
        color: "#d5d5d5",
        font: {
            fontSize: 15
        },
        left: 0,
        right: 42,
        textAlign: Ti.UI.TEXT_ALIGNMENT_LEFT,
        height: Ti.UI.SIZE,
        id: "dateLabel",
        text: " - "
    });
    $.__views.__alloyId59.add($.__views.dateLabel);
    $.__views.__alloyId60 = Ti.UI.createImageView({
        image: "ic_action_menu_date.png",
        right: 0,
        width: 22,
        height: 22,
        id: "__alloyId60"
    });
    $.__views.__alloyId59.add($.__views.__alloyId60);
    $.__views.__alloyId61 = Ti.UI.createView({
        backgroundColor: "#272727",
        height: 1,
        bottom: 0,
        width: Ti.UI.FILL,
        id: "__alloyId61"
    });
    $.__views.__alloyId57.add($.__views.__alloyId61);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var session = require("session");
    session.on("reportDateChanged", updateDisplayedDate);
    updateDisplayedDate(session.getReportDate());
    __defers["$.__views.index!click!chooseDate"] && $.__views.index.addEventListener("click", chooseDate);
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;