function Controller() {
    function L(key) {
        return require("L")(key);
    }
    function centerLoadingLabel() {
        $.loadingLabel.top = null;
        $.loadingLabel.bottom = null;
    }
    function updateContainer(properties) {
        $.loading.applyProperties(properties);
    }
    function updateContainerIfSet(property) {
        if (args && args[property]) {
            var properties = {};
            properties[property] = args[property];
            updateContainer(properties);
        }
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    $.__views.loading = Ti.UI.createView({
        height: Ti.UI.SIZE,
        width: Ti.UI.SIZE,
        visible: true,
        backgroundColor: "white",
        zIndex: 5,
        id: "loading"
    });
    $.__views.loading && $.addTopLevelView($.__views.loading);
    $.__views.loadingLabel = Ti.UI.createLabel({
        color: "#333333",
        top: 16,
        bottom: 16,
        left: 16,
        right: 16,
        height: Ti.UI.SIZE,
        width: Ti.UI.SIZE,
        text: L("General_LoadingData"),
        id: "loadingLabel"
    });
    $.__views.loading.add($.__views.loadingLabel);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var args = arguments[0] || {};
    args && args.rounded && updateContainer({
        borderRadius: 5,
        borderColor: "#d3d3d3",
        borderWidth: 1
    });
    updateContainerIfSet("backgroundColor");
    updateContainerIfSet("color");
    updateContainerIfSet("width");
    updateContainerIfSet("top");
    if (args && args.height) {
        updateContainer({
            height: args.height
        });
        centerLoadingLabel();
    }
    exports.hide = function() {
        $.loading.hide();
        $.loading.height = 0;
    };
    exports.show = function() {
        $.loading.height = args && args.height ? args.height : Ti.UI.SIZE;
        $.loading.show();
    };
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;