function Controller() {
    function L(key) {
        return require("L")(key);
    }
    function onUrlReturn() {
        onUrlBlur();
        $.username.focus();
    }
    function onUrlBlur() {
        var url = require("url");
        $.url.value && !url.startsWithHttp($.url.value) && ($.url.value = url.addHttpProtocol($.url.value));
    }
    function onUsernameReturn() {
        $.password.focus();
    }
    function doLogin() {
        onUrlBlur();
        require("login").login(accounts, $.url.value, $.username.value, $.password.value);
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    var __defers = {};
    $.__views.formView = Ti.UI.createView({
        layout: "vertical",
        width: Ti.UI.FILL,
        height: Ti.UI.SIZE,
        id: "formView"
    });
    $.__views.formView && $.addTopLevelView($.__views.formView);
    $.__views.textFieldContainer = Ti.UI.createView({
        layout: "vertical",
        width: Ti.UI.FILL,
        height: Ti.UI.SIZE,
        borderStyle: Ti.UI.INPUT_BORDERSTYLE_BEZEL,
        backgroundColor: "#fff",
        borderRadius: 5,
        borderColor: "#E6E6E6",
        borderWidth: 2,
        id: "textFieldContainer"
    });
    $.__views.formView.add($.__views.textFieldContainer);
    $.__views.url = Ti.UI.createTextField({
        top: 2,
        height: 40,
        left: 10,
        right: 10,
        autocapitalization: Ti.UI.TEXT_AUTOCAPITALIZATION_NONE,
        borderStyle: Ti.UI.INPUT_BORDERSTYLE_NONE,
        autocorrect: false,
        clearButtonMode: Ti.UI.INPUT_BUTTONMODE_ONFOCUS,
        hintText: L("Mobile_AccessUrlLabel"),
        keyboardType: Ti.UI.KEYBOARD_URL,
        returnKeyType: Ti.UI.RETURNKEY_NEXT,
        id: "url"
    });
    $.__views.textFieldContainer.add($.__views.url);
    onUrlReturn ? $.__views.url.addEventListener("return", onUrlReturn) : __defers["$.__views.url!return!onUrlReturn"] = true;
    onUrlBlur ? $.__views.url.addEventListener("blur", onUrlBlur) : __defers["$.__views.url!blur!onUrlBlur"] = true;
    $.__views.__alloyId93 = Ti.UI.createView({
        width: Ti.UI.FILL,
        height: 2,
        backgroundColor: "#E6E6E6",
        id: "__alloyId93"
    });
    $.__views.textFieldContainer.add($.__views.__alloyId93);
    $.__views.username = Ti.UI.createTextField({
        top: 2,
        height: 40,
        left: 10,
        right: 10,
        autocapitalization: Ti.UI.TEXT_AUTOCAPITALIZATION_NONE,
        borderStyle: Ti.UI.INPUT_BORDERSTYLE_NONE,
        autocorrect: false,
        clearButtonMode: Ti.UI.INPUT_BUTTONMODE_ONFOCUS,
        hintText: L("Login_Login"),
        keyboardType: Ti.UI.KEYBOARD_DEFAULT,
        returnKeyType: Ti.UI.RETURNKEY_NEXT,
        id: "username"
    });
    $.__views.textFieldContainer.add($.__views.username);
    onUsernameReturn ? $.__views.username.addEventListener("return", onUsernameReturn) : __defers["$.__views.username!return!onUsernameReturn"] = true;
    $.__views.__alloyId94 = Ti.UI.createView({
        width: Ti.UI.FILL,
        height: 2,
        backgroundColor: "#E6E6E6",
        id: "__alloyId94"
    });
    $.__views.textFieldContainer.add($.__views.__alloyId94);
    $.__views.password = Ti.UI.createTextField({
        top: 2,
        height: 40,
        left: 10,
        right: 10,
        autocapitalization: Ti.UI.TEXT_AUTOCAPITALIZATION_NONE,
        borderStyle: Ti.UI.INPUT_BORDERSTYLE_NONE,
        autocorrect: false,
        clearButtonMode: Ti.UI.INPUT_BUTTONMODE_ONFOCUS,
        hintText: L("Login_Password"),
        passwordMask: true,
        returnKeyType: Ti.UI.RETURNKEY_DONE,
        id: "password"
    });
    $.__views.textFieldContainer.add($.__views.password);
    doLogin ? $.__views.password.addEventListener("return", doLogin) : __defers["$.__views.password!return!doLogin"] = true;
    $.__views.loginbutton = Ti.UI.createButton({
        backgroundColor: "#CD1628",
        borderWidth: 1,
        borderRadius: 3,
        borderColor: "#CD1628",
        width: Ti.UI.FILL,
        height: 40,
        top: 10,
        color: "#ffffff",
        font: {
            fontSize: 18,
            fontWeight: "bold"
        },
        id: "loginbutton",
        title: "Login"
    });
    $.__views.formView.add($.__views.loginbutton);
    doLogin ? $.__views.loginbutton.addEventListener("click", doLogin) : __defers["$.__views.loginbutton!click!doLogin"] = true;
    $.__views.anonymousLoginNotice = Ti.UI.createLabel({
        color: "#333333",
        top: 10,
        font: {
            fontSize: 12
        },
        textAlign: Ti.UI.TEXT_ALIGNMENT_CENTER,
        text: L("Mobile_HowtoLoginAnonymous"),
        wordWrap: true,
        left: 0,
        right: 0,
        id: "anonymousLoginNotice"
    });
    $.__views.formView.add($.__views.anonymousLoginNotice);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var args = arguments[0] || {};
    var accounts = args.accounts || false;
    __defers["$.__views.url!return!onUrlReturn"] && $.__views.url.addEventListener("return", onUrlReturn);
    __defers["$.__views.url!blur!onUrlBlur"] && $.__views.url.addEventListener("blur", onUrlBlur);
    __defers["$.__views.username!return!onUsernameReturn"] && $.__views.username.addEventListener("return", onUsernameReturn);
    __defers["$.__views.password!return!doLogin"] && $.__views.password.addEventListener("return", doLogin);
    __defers["$.__views.loginbutton!click!doLogin"] && $.__views.loginbutton.addEventListener("click", doLogin);
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;