function Controller() {
    function __alloyId141() {
        __alloyId141.opts || {};
        var models = __alloyId140.models;
        var len = models.length;
        var rows = [];
        for (var i = 0; len > i; i++) {
            var __alloyId138 = models[i];
            __alloyId138.__transform = transformWebsite(__alloyId138);
            var __alloyId139 = Ti.UI.createTableViewRow({
                left: 10,
                color: "#e5e5e5",
                font: {
                    fontSize: 14,
                    fontWeight: "bold"
                },
                right: 10,
                height: Ti.UI.SIZE,
                selectedBackgroundColor: "#333333",
                top: 10,
                bottom: 10,
                idsite: "undefined" != typeof __alloyId138.__transform["idsite"] ? __alloyId138.__transform["idsite"] : __alloyId138.get("idsite"),
                rightImage: "undefined" != typeof __alloyId138.__transform["rightImage"] ? __alloyId138.__transform["rightImage"] : __alloyId138.get("rightImage"),
                modelid: "undefined" != typeof __alloyId138.__transform["id"] ? __alloyId138.__transform["id"] : __alloyId138.get("id"),
                title: "undefined" != typeof __alloyId138.__transform["title"] ? __alloyId138.__transform["title"] : __alloyId138.get("title")
            });
            rows.push(__alloyId139);
        }
        $.__views.configTable.setData(rows);
    }
    function L(key, substitution) {
        var translation = require("L")(key);
        if (substitution) return String.format(translation, "" + substitution);
        return translation;
    }
    function hideRightSidebar() {
        require("layout").hideRightSidebar();
    }
    function open() {
        require("layout").setRightSidebar($.index);
        fetchWebsites();
    }
    function toggleVisibility() {
        require("layout").toggleRightSidebar();
    }
    function uncheckAllWebsites() {
        _.forEach($.configTable.data, function(tableViewRowOrSection) {
            uncheckWebsite(tableViewRowOrSection);
            tableViewRowOrSection.rows && _.forEach(tableViewRowOrSection.rows, function(tableViewRow) {
                uncheckWebsite(tableViewRow);
            });
        });
    }
    function uncheckWebsite(tableViewRow) {
        tableViewRow.rightImage = null;
    }
    function checkWebsite(tableViewRow) {
        tableViewRow.rightImage = "tick.png";
    }
    function transformWebsite(processedReport) {
        processedReport.idsite = processedReport && processedReport.getReportMetadata() && processedReport.getReportMetadata().idsite ? processedReport.getReportMetadata().idsite : null;
        isCurrentWebsite(processedReport) ? checkWebsite(processedReport) : uncheckWebsite(processedReport);
        return processedReport;
    }
    function isCurrentWebsite(processedReport) {
        var currentWebsiteId = getSiteIdOfActiveWebsite();
        if (null !== currentWebsiteId && processedReport && processedReport.idsite == currentWebsiteId) return true;
        return false;
    }
    function selectWebsite(event) {
        if (!event || !event.row || _.isUndefined(event.row.modelid) || _.isNull(event.row.modelid)) {
            console.log("ModelID in source not defined, cannot select website");
            return;
        }
        var id = event.row.modelid;
        var website = $.piwikProcessedReport.get(id);
        if (!website) {
            console.log("websiteModel not found in collection, cannot select website");
            return;
        }
        var siteModel = Alloy.createModel("PiwikWebsites", {
            idsite: website.get("reportMetadata").idsite,
            name: website.get("label")
        });
        var account = require("session").getAccount();
        require("session").setWebsite(siteModel, account);
        toggleVisibility();
    }
    function fetchWebsites() {
        var reportDate = require("session").getReportDate();
        var website = require("session").getWebsite();
        var account = require("session").getAccount();
        $.piwikProcessedReport.fetchProcessedReports("nb_visits", {
            params: {
                period: reportDate.getPeriodQueryString(),
                date: reportDate.getDateQueryString(),
                idSite: website.get("idsite"),
                filter_limit: 20,
                hideMetricsDoc: 1,
                apiModule: "MultiSites",
                apiAction: "getAll",
                showColumns: "nb_visits"
            },
            account: account
        });
    }
    function getActiveWebsiteModel() {
        return require("session").getWebsite();
    }
    function getSiteIdOfActiveWebsite() {
        var websiteModel = getActiveWebsiteModel();
        if (!websiteModel) return null;
        return websiteModel.getSiteId();
    }
    function checkWebsiteIfRowIsHasSiteId(tableViewRowOrSection, siteId) {
        tableViewRowOrSection && null !== tableViewRowOrSection.idsite && tableViewRowOrSection.idsite == siteId && checkWebsite(tableViewRowOrSection);
    }
    function checkCurrentlyActiveWebsite() {
        uncheckAllWebsites();
        var activeSiteId = getSiteIdOfActiveWebsite();
        _.forEach($.configTable.data, function(tableViewRowOrSection) {
            checkWebsiteIfRowIsHasSiteId(tableViewRowOrSection, activeSiteId);
            tableViewRowOrSection.rows && _.forEach(tableViewRowOrSection.rows, function(tableViewRow) {
                checkWebsiteIfRowIsHasSiteId(tableViewRow, activeSiteId);
            });
        });
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    var __defers = {};
    $.piwikProcessedReport = Alloy.createCollection("piwikProcessedReport");
    $.__views.index = Ti.UI.createView({
        right: 0,
        width: 250,
        id: "index"
    });
    $.__views.index && $.addTopLevelView($.__views.index);
    $.__views.configTable = Ti.UI.createTableView({
        backgroundColor: "#222222",
        backgroundSelectedColor: "#222222",
        separatorColor: "#2d2d2d",
        id: "configTable"
    });
    $.__views.index.add($.__views.configTable);
    $.__views.__alloyId130 = Ti.UI.createView({
        layout: "vertical",
        height: Ti.UI.SIZE,
        width: Ti.UI.FILL,
        id: "__alloyId130"
    });
    $.__views.__alloyId131 = Ti.UI.createView({
        top: 24,
        bottom: 0,
        left: 8,
        right: 8,
        height: Ti.UI.SIZE,
        id: "__alloyId131"
    });
    $.__views.__alloyId130.add($.__views.__alloyId131);
    $.__views.__alloyId132 = Alloy.createController("website_picker", {
        id: "__alloyId132",
        __parentSymbol: $.__views.__alloyId131
    });
    $.__views.__alloyId132.setParent($.__views.__alloyId131);
    hideRightSidebar ? $.__views.__alloyId132.on("selected", hideRightSidebar) : __defers["$.__views.__alloyId132!selected!hideRightSidebar"] = true;
    $.__views.__alloyId133 = Ti.UI.createView({
        top: 12,
        bottom: 24,
        left: 8,
        right: 8,
        height: Ti.UI.SIZE,
        id: "__alloyId133"
    });
    $.__views.__alloyId130.add($.__views.__alloyId133);
    $.__views.__alloyId134 = Alloy.createController("date_picker", {
        id: "__alloyId134",
        __parentSymbol: $.__views.__alloyId133
    });
    $.__views.__alloyId134.setParent($.__views.__alloyId133);
    hideRightSidebar ? $.__views.__alloyId134.on("selected", hideRightSidebar) : __defers["$.__views.__alloyId134!selected!hideRightSidebar"] = true;
    $.__views.__alloyId135 = Ti.UI.createView({
        height: 1,
        width: Ti.UI.FILL,
        backgroundColor: "#2d2d2d",
        id: "__alloyId135"
    });
    $.__views.__alloyId130.add($.__views.__alloyId135);
    $.__views.__alloyId136 = Ti.UI.createView({
        backgroundImage: "tableviewsection_background_dark.png",
        height: Ti.UI.SIZE,
        id: "__alloyId136"
    });
    $.__views.__alloyId130.add($.__views.__alloyId136);
    $.__views.siteTitle = Ti.UI.createLabel({
        color: "#e5e5e5",
        text: L("Mobile_TopXVisitedWebsites", "20"),
        top: 8,
        left: 10,
        wordWrap: true,
        ellipsize: false,
        font: {
            fontSize: 13
        },
        right: 10,
        height: Ti.UI.SIZE,
        bottom: 8,
        id: "siteTitle"
    });
    $.__views.__alloyId136.add($.__views.siteTitle);
    $.__views.configTable.headerView = $.__views.__alloyId130;
    var __alloyId140 = Alloy.Collections["$.piwikProcessedReport"] || $.piwikProcessedReport;
    __alloyId140.on("fetch destroy change add remove reset", __alloyId141);
    selectWebsite ? $.__views.configTable.addEventListener("click", selectWebsite) : __defers["$.__views.configTable!click!selectWebsite"] = true;
    exports.destroy = function() {
        __alloyId140.off("fetch destroy change add remove reset", __alloyId141);
    };
    _.extend($, $.__views);
    require("session").on("accountChanged", fetchWebsites);
    require("session").on("websiteChanged", checkCurrentlyActiveWebsite);
    exports.open = open;
    exports.toggleVisibility = toggleVisibility;
    __defers["$.__views.__alloyId132!selected!hideRightSidebar"] && $.__views.__alloyId132.on("selected", hideRightSidebar);
    __defers["$.__views.__alloyId134!selected!hideRightSidebar"] && $.__views.__alloyId134.on("selected", hideRightSidebar);
    __defers["$.__views.configTable!click!selectWebsite"] && $.__views.configTable.addEventListener("click", selectWebsite);
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;