function Controller() {
    function showLogo(processedReport) {
        var accountModel = require("session").getAccount();
        $.icon.width = processedReport.getLogoWidth() || 16;
        $.icon.height = processedReport.getLogoHeight() || 16;
        $.icon.left = 10;
        $.icon.image = accountModel.getBasePath() + processedReport.getLogo();
        $.icon.show();
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    $.__views.index = Ti.UI.createView({
        height: Ti.UI.SIZE,
        width: Ti.UI.FILL,
        layout: "horizontal",
        id: "index"
    });
    $.__views.index && $.addTopLevelView($.__views.index);
    $.__views.icon = Ti.UI.createImageView({
        height: 0,
        width: 0,
        visible: 0,
        left: 0,
        id: "icon"
    });
    $.__views.index.add($.__views.icon);
    $.__views.__alloyId168 = Ti.UI.createView({
        height: Ti.UI.SIZE,
        width: Ti.UI.FILL,
        id: "__alloyId168"
    });
    $.__views.index.add($.__views.__alloyId168);
    $.__views.title = Ti.UI.createLabel({
        color: "#7e7e7e",
        height: Ti.UI.SIZE,
        left: 10,
        right: 95,
        top: 16,
        bottom: 16,
        font: {
            fontSize: 16,
            fontWeight: "bold"
        },
        text: "-",
        id: "title"
    });
    $.__views.__alloyId168.add($.__views.title);
    $.__views.value = Ti.UI.createLabel({
        color: "#191919",
        height: Ti.UI.SIZE,
        right: 15,
        width: 75,
        top: 13,
        bottom: 10,
        font: {
            fontSize: 16,
            fontWeight: "bold"
        },
        textAlign: Ti.UI.TEXT_ALIGNMENT_RIGHT,
        text: "-",
        id: "value"
    });
    $.__views.__alloyId168.add($.__views.value);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var processedReport = arguments[0] || {};
    if (processedReport) {
        $.title.text = processedReport.getTitle();
        $.value.text = processedReport.getValue();
        processedReport.hasLogo() && showLogo(processedReport);
    }
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;