module.exports = {
    General_AllWebsitesDashboard: "Dashboard aller Webseiten",
    General_Settings: "Einstellungen",
    General_GiveUsYourFeedback: "Feedback geben!",
    General_Unknown: "unbekannt",
    General_Required: "%s benötigt",
    General_NotValid: "%s ist nicht gültig",
    General_Error: "Fehler",
    General_Yes: "Ja",
    General_No: "Nein",
    General_Delete: "Löschen",
    General_Reports: "Berichte",
    General_Metric: "Metrik",
    General_Edit: "Ändern",
    General_Download: "Download",
    General_Ok: "OK",
    General_Close: "Schließen",
    General_Done: "Erledigt",
    General_Value: "Wert",
    General_Subtotal: "Zwischensumme",
    General_Details: "Details",
    General_FromReferrer: "von",
    General_VisitorIP: "IP des Besuchers",
    General_VisitType: "Art des Besuchers",
    General_NumberOfVisits: "Anzahl der Besuche",
    General_VisitConvertedNGoals: "Besuch erreichte %s Ziele",
    General_NewVisitor: "Neuer Besucher",
    General_Visitor: "Besucher",
    General_Date: "Datum",
    General_Period: "Zeitraum",
    General_ChooseDate: "Wähle Datum",
    General_Today: "Heute",
    General_Yesterday: "Gestern",
    General_CurrentWeek: "Aktuelle Woche",
    General_CurrentMonth: "Aktueller Monat",
    General_CurrentYear: "Aktuelles Jahr",
    General_DateRangeFrom_js: "Von",
    General_DateRangeTo_js: "Bis",
    General_LastDaysShort: "Letzte %s Tage",
    General_PreviousDaysShort: "Vergangene %s Tage",
    General_LoadingData: "Lade Daten ...",
    General_Next: "nächste",
    General_Previous: "vorherige",
    General_Others: "Andere",
    General_Visitors: "Besucher",
    General_YourChangesHaveBeenSaved: "Ihre Änderungen wurden gespeichert.",
    General_ErrorRequest: "Einen Moment bitte. Wir laden die erforderlichen Daten. Bitte neu laden, falls längere Zeit keine Aktion ausgeführt wird.",
    General_ColumnNbVisits: "Besuche",
    General_ColumnPageviews: "Seitenansichten",
    General_Save: "Speichern",
    General_Faq: "FAQ",
    General_ForExampleShort: "z.B.",
    General_GeneralSettings: "Allgemeine Einstellungen",
    General_AboutPiwikX: "Über Piwik %s",
    General_PiwikXIsAvailablePleaseNotifyPiwikAdmin: "%s ist verfügbar. Bitte benachrichtigen Sie den Seitenadministrator.",
    General_LongMonth_1: "Januar",
    General_LongMonth_2: "Februar",
    General_LongMonth_3: "März",
    General_LongMonth_4: "April",
    General_LongMonth_5: "Mai",
    General_LongMonth_6: "Juni",
    General_LongMonth_7: "Juli",
    General_LongMonth_8: "August",
    General_LongMonth_9: "September",
    General_LongMonth_10: "Oktober",
    General_LongMonth_11: "November",
    General_LongMonth_12: "Dezember",
    General_ExceptionPrivilegeAtLeastOneWebsite: "Sie können auf diese Ressource nicht zugreifen, da eine %s Berechtigung für mindestens eine Webseite benötigt wird.",
    General_InvalidResponse: "Die empfangenen Daten sind nicht gültig.",
    General_ChooseLanguage: "Sprache wählen",
    General_ChoosePeriod: "Zeitraum wählen",
    General_ChooseWebsite: "Webseite wählen",
    General_Language: "Sprache",
    General_PleaseUpdatePiwik: "Bitte Piwik aktualisieren",
    General_RequestTimedOut: "Die Datenabfrage an %s dauert zu lange. Bitte versuchen Sie es noch einmal.",
    General_Goal: "Ziel",
    General_Outlink: "Ausgehender Verweis",
    General_Help: "Hilfe",
    Actions_SubmenuSitesearch: "Interne Suche",
    CoreHome_PeriodDay: "Tag",
    CoreHome_PeriodWeek: "Woche",
    CoreHome_PeriodMonth: "Monat",
    CoreHome_PeriodYear: "Jahr",
    CoreHome_PeriodRange: "Zeitspanne",
    CorePluginsAdmin_Deactivate: "Deaktivieren",
    CorePluginsAdmin_Activate: "Aktivieren",
    CoreUpdater_UpdateTitle: "Aktualisierung",
    CustomVariables_CustomVariables: "Benutzerdefinierte Variablen",
    Feedback_DoYouHaveBugReportOrFeatureRequest: "Möchten Sie einen Fehler melden oder haben Sie eine Idee für eine neue Funktion?",
    Feedback_ThankYou: "Danke für Ihre Unterstützung, um Piwik zu verbessern!",
    Goals_Ecommerce: "Ecommerce",
    Goals_EcommerceOrder: "Ecommerce Bestellung",
    Goals_AbandonedCart: "Verlassener Warenkorb",
    Live_VisitorsInRealTime: "Besucher in Echtzeit",
    Live_VisitorLog: "Besucher-Log",
    Live_LastMinutes: "Letzte %s Minuten",
    Live_LastHours: "Letzte %s Stunden",
    Live_GoalRevenue: "Einnahmen",
    Login_Password: "Passwort",
    Mobile_Accounts: "Accounts",
    Mobile_AddAccount: "Account hinzufügen",
    Mobile_AddPiwikDemo: "Piwik Demo hinzufügen",
    Mobile_AnonymousTracking: "Anonymes aufzeichnen",
    Mobile_AskForAnonymousTrackingPermission: "Falls aktiviert sendet Piwik Mobile anonyme Nutzungsdaten an piwik.org. Die Sammlung dieser Daten hilft den Piwik Mobile Entwicklern besser zu verstehen wie diese Applikation genutzt wird. Folgende Informationen werden gesendet: Menüs und Einstellungen, Betriebssystemname und Version und angezeigte Fehler in Piwik Mobile. Es werden KEINE Analytischen Daten aufgezeichnet. Die Anonymen Daten werden niemals der Öffentlichkeit zugänglich gemacht. Anonyme Nutzungsdatenerfassung kann jederzeit in den Einstellungen wieder aktiviert bzw. deaktiviert werden.",
    Mobile_Advanced: "Erweitert",
    Mobile_ChooseHttpTimeout: "Wählen Sie einen Wert für den HTTP Timeout",
    Mobile_ChooseMetric: "Wähle Metrik",
    Mobile_ChooseReport: "Wählen Sie einen Bericht",
    Mobile_HelpUsToImprovePiwikMobile: "Anonyme Nutzungsdaten in Piwik Mobile aktivieren?",
    Mobile_HttpIsNotSecureWarning: "Bei der Verwendung von HTTP wird ihr Piwik Authorisierungstoken (token_auth) im Klartext übertragen. Aus diesem Grund empfehlen wir HTTPS für eine sichere Übertragung von Daten über das Internet. Möchten Sie forfahren?",
    Mobile_HowtoDeleteAnAccountOniOS: "Von links nach rechts wischen um einen Account zu löschen",
    Mobile_LastUpdated: "Letztes Update: %s",
    Mobile_LoginCredentials: "Zugangsdaten",
    Mobile_LoginUseHttps: "Benutze HTTPS",
    Mobile_PullDownToRefresh: "Zum Aktualisieren herunterziehen...",
    Mobile_RatingNotNow: "Nicht jetzt",
    Mobile_RatingNow: "OK, ich bewerte es jetzt",
    Mobile_RatingDontRemindMe: "Bitte nicht daran erinnern",
    Mobile_RatingPleaseRateUs: "Piwik Mobile App ist Freie Software, wir würden es sehr zu schätzen wissen, wenn Sie 1 Minute Ihrer wertvollen Zeit opfern würden um diese App im %s zu bewerten. Falls Sie Vorschläge für neue Features haben oder Fehler melden möchten, bitte kontaktieren Sie %s",
    Mobile_Refresh: "Aktualisieren",
    Mobile_Reloading: "Wird neu geladen...",
    Mobile_ReleaseToRefresh: "Zum Aktualisieren loslassen...",
    Mobile_ShowAll: "Alle anzeigen",
    Mobile_ShowLess: "Weniger anzeigen",
    Mobile_HttpTimeout: "HTTP Timeout",
    Mobile_VerifyAccount: "Account wird überprüft...",
    Mobile_VerifyLoginData: "Bitte überprüfe ob die Kombination aus Benutzername und Passwort korrekt ist.",
    Mobile_AnonymousAccess: "Anonymer Zugriff",
    Mobile_AccessUrlLabel: "URL zur Piwik-Installation",
    Mobile_EnableGraphsLabel: "Graphen anzeigen",
    Mobile_EvolutionGraph: "Historischer Graph",
    Mobile_StaticGraph: "Übersichts-Graph",
    Mobile_DefaultReportDate: "Berichtsdatum",
    Mobile_MultiChartLabel: "Multisite Graphen anzeigen",
    Mobile_NetworkErrorWithStatusCode: 'Folgender Fehler trat auf "%s". Die Anfrage gab den Status "%s" zurück. URL war "%s". Bitte die eingegebene URL überprüfen und die Fehlerlog Dateien auf dem Server überprüfen um mehr Informationen zu diesem Fehler und wie er zu beheben ist zu erfahren.',
    Mobile_NetworkNotReachable: "Netzwerk ist nicht erreichbar",
    Mobile_NavigationBack: "Zurück",
    Mobile_NoPiwikAccount: "Kein Piwik Account?",
    Mobile_NoVisitorFound: "Kein Besucher gefunden",
    Mobile_NoWebsiteFound: "Webseite nicht gefunden",
    Mobile_SaveSuccessError: "Piwik URL oder Benutzername-/Passwort-Kombination ist falsch.",
    Mobile_SearchWebsite: "Webseiten durchsuchen",
    Mobile_UseSearchBarHint: "Hier werden nur die ersten %s Webseiten angezeigt. Bitte benutzen Sie die Suchbox, um auf die restlichen Seiten zuzugreifen.",
    Mobile_YouAreOffline: "Sie sind derzeit offline",
    SEO_Rank: "Rang",
    SitesManager_ExceptionInvalidUrl: "Die Adresse '%s' ist keine gültige URL.",
    UserCountry_Country: "Land",
    UserCountryMap_RealTimeMap: "Besucherkarte in Echtzeit",
    UserSettings_VisitorSettings: "Besuchereinstellungen",
    UserSettings_Plugins: "Plugins",
    UserSettings_ColumnBrowser: "Browser",
    UserSettings_ColumnResolution: "Auflösung",
    UsersManager_ManageAccess: "Zugriffsverwaltung",
    UsersManager_PrivView: "Ansicht",
    VisitsSummary_NbVisits: "%s Besuche"
};