module.exports = {
    General_AllWebsitesDashboard: "Dashboard van alle websites",
    General_Settings: "Instellingen",
    General_GiveUsYourFeedback: "Geef ons commentaar",
    General_Unknown: "Onbekend",
    General_Required: "%s vereist",
    General_NotValid: "%s is niet geldig",
    General_Error: "Fout",
    General_Yes: "Ja",
    General_No: "Nee",
    General_Delete: "Verwijderen",
    General_Reports: "Rapporten",
    General_Metric: "Metric",
    General_Edit: "Aanpassen",
    General_Download: "Download",
    General_Ok: "Ok",
    General_Close: "Sluiten",
    General_Done: "Klaar",
    General_Value: "Waarde",
    General_Subtotal: "Subtotaal",
    General_Details: "Details",
    General_FromReferrer: "van",
    General_VisitorIP: "Bezoekers IP",
    General_VisitType: "Type bezoeker",
    General_NumberOfVisits: "Aantal bezoeken",
    General_VisitConvertedNGoals: "Bezoek heeft %s doelen bereikt",
    General_NewVisitor: "Nieuwe bezoeker",
    General_Visitor: "Bezoeker",
    General_Date: "Datum",
    General_Period: "Periode",
    General_ChooseDate: "Kies datum",
    General_Today: "Vandaag",
    General_Yesterday: "Gisteren",
    General_CurrentWeek: "Huidige week",
    General_CurrentMonth: "Huidige maand",
    General_CurrentYear: "Huidig jaar",
    General_DateRangeFrom_js: "Van",
    General_DateRangeTo_js: "Tot",
    General_LastDaysShort: "Laatste %s dagen",
    General_PreviousDaysShort: "Vorige %s dagen",
    General_LoadingData: "Data laden…",
    General_Next: "Volgende",
    General_Previous: "Vorige",
    General_Others: "Andere",
    General_Visitors: "Bezoekers",
    General_YourChangesHaveBeenSaved: "De wijzigingen zijn opgeslagen.",
    General_ErrorRequest: "Oeps… er was een probleem tijdens het opvragen van de data. Probeer het nogmaals.",
    General_ColumnNbVisits: "Bezoeken",
    General_ColumnPageviews: "Paginaweergaves",
    General_Save: "Bewaar",
    General_Faq: "Veelgestelde vragen",
    General_ForExampleShort: "bijv.",
    General_GeneralSettings: "Algemene instellingen",
    General_AboutPiwikX: "Over Piwik %s",
    General_PiwikXIsAvailablePleaseNotifyPiwikAdmin: "%s is beschikbaar. Gelieve de site admin te verwittigen.",
    General_LongMonth_1: "Januari",
    General_LongMonth_2: "Februari",
    General_LongMonth_3: "Maart",
    General_LongMonth_4: "April",
    General_LongMonth_5: "Mei",
    General_LongMonth_6: "Juni",
    General_LongMonth_7: "Juli",
    General_LongMonth_8: "Augustus",
    General_LongMonth_9: "September",
    General_LongMonth_10: "Oktober",
    General_LongMonth_11: "November",
    General_LongMonth_12: "December",
    General_ExceptionPrivilegeAtLeastOneWebsite: "U kunt deze bron niet verwijderen omdat %s toegang is vereist voor tenminste één website.",
    General_InvalidResponse: "De ontvangen data is ongeldig.",
    General_ChooseLanguage: "Kies taal",
    General_ChoosePeriod: "Kies periode",
    General_ChooseWebsite: "Kies website",
    General_Language: "Taal",
    General_PleaseUpdatePiwik: "Update uw Piwikinstallatie",
    General_RequestTimedOut: "Een data request naar %s is verlopen. Probeer opnieuw.",
    General_Goal: "Doel",
    General_Outlink: "Uitgaande Link",
    General_Help: "Help",
    Actions_SubmenuSitesearch: "Lokale zoekopdracht",
    CoreHome_PeriodDay: "Dag",
    CoreHome_PeriodWeek: "Week",
    CoreHome_PeriodMonth: "Maand",
    CoreHome_PeriodYear: "Jaar",
    CoreHome_PeriodRange: "Datumbereik",
    CorePluginsAdmin_Deactivate: "Uitschakelen",
    CorePluginsAdmin_Activate: "Inschakelen",
    CoreUpdater_UpdateTitle: "Piwik › Update",
    CustomVariables_CustomVariables: "Aangepaste variabelen",
    Feedback_DoYouHaveBugReportOrFeatureRequest: "Heeft u een bugmelding of een verzoek voor nieuwe functies?",
    Feedback_ThankYou: "Bedankt voor uw bijdrage om Piwik beter te maken!",
    Goals_Ecommerce: "E-commerce",
    Goals_EcommerceOrder: "E-commerce order",
    Goals_AbandonedCart: "Verlaat winkelwagen",
    Live_VisitorsInRealTime: "Bezoekers in real-time",
    Live_VisitorLog: "Bezoekerslogboek",
    Live_LastMinutes: "Laatste %s minuten",
    Live_LastHours: "Laatste %s uren",
    Live_GoalRevenue: "Opbrengst",
    Login_Password: "Wachtwoord",
    Mobile_Accounts: "Accounts",
    Mobile_AddAccount: "Account toevoegen",
    Mobile_AnonymousTracking: "anonieme tracking",
    Mobile_AskForAnonymousTrackingPermission: "Wanneer ingeschakeld, zal Piwik Mobile stuurt anonieme gebruiksgegevens te piwik.org. De bedoeling is om deze gegevens te gebruiken om te helpen Piwik Mobile-ontwikkelaars beter te begrijpen hoe de applicatie wordt gebruikt. Gestuurd Informatie is: menu's en instellingen geklikt, OS naam en versie, elke fout weergegeven in Piwik Mobile. We zullen niet volgen van een van uw Analytics-gegevens. Deze anonieme gegevens zullen nooit openbaar worden gemaakt. U kunt uitschakelen / anonieme tracking staat in Instellingen op elk moment.",
    Mobile_Advanced: "Geavanceerd",
    Mobile_ChooseHttpTimeout: "Kies HTTP-timeout-waarde",
    Mobile_ChooseMetric: "Kies Metric",
    Mobile_ChooseReport: "Kies een rapport",
    Mobile_HelpUsToImprovePiwikMobile: "Wilt u anonieme registratie van gebruiksgegevens inschakelen in Piwik Mobile?",
    Mobile_HttpIsNotSecureWarning: "Uw Piwik autorisatie token (token_auth) wordt verzonden in gewone tekst als u 'HTTP'. Om deze reden adviseren wij HTTPS voor een veilig transport van gegevens via het internet. Wilt u doorgaan?",
    Mobile_HowtoDeleteAnAccountOniOS: "Veeg naar links naar rechts om een ​​account te verwijderen",
    Mobile_LastUpdated: "Laatste update: %s",
    Mobile_LoginCredentials: "Referenties",
    Mobile_LoginUseHttps: "Gebruik https",
    Mobile_PullDownToRefresh: "Trek om te vernieuwen ...",
    Mobile_RatingNotNow: "Niet nu",
    Mobile_RatingNow: "Ok, waardeer het nu",
    Mobile_RatingDontRemindMe: "Herrinner me er niet aan",
    Mobile_RatingPleaseRateUs: "Piwik Mobile is vrije software. We zouden het erg op prijs stellen als u 1 minuut tijd nam om de app te waarderen op %s. Als u suggesties voor nieuwe functies heeft of foutmeldingen, neem dan a.u.b. contact op met %s",
    Mobile_Refresh: "Vernieuwen",
    Mobile_Reloading: "Herladen ...",
    Mobile_ReleaseToRefresh: "Laat om te vernieuwen ...",
    Mobile_ShowAll: "Toon alle",
    Mobile_ShowLess: "Toon minder",
    Mobile_HttpTimeout: "HTTP-Time-out",
    Mobile_VerifyAccount: "verifiëren Account",
    Mobile_VerifyLoginData: "Zorg dat je gebruikersnaam en wachtwoord combinatie goed zijn.",
    Mobile_AnonymousAccess: "Anonieme toegang",
    Mobile_AccessUrlLabel: "Piwik toegang Url",
    Mobile_EnableGraphsLabel: "Toon grafieken",
    Mobile_DefaultReportDate: "Rapporteer datum",
    Mobile_MultiChartLabel: "Toon grafieklijnen",
    Mobile_NetworkNotReachable: "Network niet bereikbaar",
    Mobile_NavigationBack: "Terug",
    Mobile_NoPiwikAccount: "Geen Piwik account?",
    Mobile_NoVisitorFound: "Geen bezoekers gevonden",
    Mobile_NoWebsiteFound: "Geen website gevonden",
    Mobile_SaveSuccessError: "Verifiër uw instellingen",
    Mobile_SearchWebsite: "Zoeken websites",
    Mobile_UseSearchBarHint: "Alleen de eerste %s websites worden hier weergegeven. Gebruik de zoekbalk om uw andere websites te openen.",
    Mobile_YouAreOffline: "Sorry, u bent momenteel offline",
    SEO_Rank: "Ranking",
    SitesManager_ExceptionInvalidUrl: "De url '%s' is niet geldig.",
    UserCountry_Country: "Land",
    UserSettings_VisitorSettings: "Bezoekers Instellingen",
    UserSettings_Plugins: "Geïnstalleerde plugins",
    UserSettings_ColumnBrowser: "Browser",
    UserSettings_ColumnResolution: "Resolutie",
    UsersManager_ManageAccess: "Toegangsbeheer",
    UsersManager_PrivView: "Kijken",
    VisitsSummary_NbVisits: "%s bezoeken"
};