function AndroidLayout() {
    function close(win) {
        if (!win) return;
        win.close();
        win = null;
    }
    function open(win) {
        if (!win) return;
        win.addEventListener("androidback", closeThisWindow);
        this.trigger("open", win);
        win.open();
        win = null;
    }
    function closeThisWindow() {
        close(this);
    }
    _.extend(this, Backbone.Events, {
        close: close,
        open: open
    });
}

var Alloy = require("alloy");

var Backbone = Alloy.Backbone;

var _ = Alloy._;

module.exports = AndroidLayout;