function TabletSidebar() {
    function initLeftSidebarWindow() {
        var leftSidebarWindow = Ti.UI.createWindow({
            left: 0,
            backgroundColor: "#e5e5e5",
            exitOnClose: true
        });
        leftSidebarWindow.open();
        return leftSidebarWindow;
    }
    var isLeftSidebarSet = false;
    this.on("open", function(window) {
        isLeftSidebarSet && (window.left = widthLeftSidebar);
    });
    this.setLeftSidebar = function(view) {
        if (!view) return;
        var leftSidebarWindow = initLeftSidebarWindow();
        view.left = 0;
        view.width = widthLeftSidebar;
        leftSidebarWindow.add(view);
        isLeftSidebarSet = true;
    };
    this.hideLeftSidebar = function() {};
    this.toggleLeftSidebar = function() {};
    this.setRightSidebar = function() {};
    this.hideRightSidebar = function() {};
    this.toggleRightSidebar = function() {};
}

var widthLeftSidebar = "250dp";

module.exports = TabletSidebar;