function WindowRecorder() {
    function recordWindowIfEnabled(win) {
        if (recordWindows) {
            recordedWindows.push(win);
            win.addEventListener("close", removeWindowFromRecordedWindows);
        }
        win = null;
    }
    function removeWindowFromRecordedWindows() {
        var _ = require("alloy")._;
        var index = _.indexOf(recordedWindows, this);
        -1 != index && delete recordedWindows[index];
        this.removeEventListener("close", removeWindowFromRecordedWindows);
    }
    var recordWindows = false;
    var recordedWindows = [];
    this.on("open", recordWindowIfEnabled);
    this.startRecordingWindows = function() {
        recordWindows = true;
    };
    this.closeRecordedWindows = function() {
        while (recordedWindows.length) this.close(recordedWindows.shift());
    };
}

module.exports = WindowRecorder;