exports.getWidth = function(view) {
    if (!view) {
        console.warn("View not set, cannot detect width");
        return 0;
    }
    if (view.size && view.size.width) return view.size.width;
    if (view.width) return view.width;
    console.error("TODO NOT ABLE TO GET WIDTH");
    return 0;
};

exports.getHeight = function(view) {
    if (!view) {
        console.warn("View not set, cannot detect height");
        return 0;
    }
    if (view.size && view.size.height) return view.size.height;
    if (view.height) return view.height;
    console.error("TODO NOT ABLE TO GET HEIGHT");
    return 0;
};

exports.getAndroidActivity = function(window) {
    var activity = null;
    Ti.Android && Ti.Android.currentActivity ? activity = Ti.Android.currentActivity : !activity && Ti.UI.currentWindow && Ti.UI.currentWindow.activity ? activity = Ti.UI.currentWindow.activity : !activity && window && window.activity && (activity = window.activity);
    window = null;
    return activity;
};