exports.startsWithHttp = function(url) {
    return url && 0 === url.indexOf("http");
};

exports.addHttpProtocol = function(url) {
    return "http://" + url;
};

exports.getAbsolutePath = function(url) {
    var posLastSlash = url.lastIndexOf("/");
    var absolutePath = url.substr(0, posLastSlash + 1);
    return absolutePath;
};

exports.endsWithSlash = function(url) {
    url += "";
    var lastCharPos = url.length - 1;
    var lastUrlChar = url.substr(lastCharPos, 1);
    return "/" === lastUrlChar;
};

exports.endsWithPhp = function(url) {
    url += "";
    var posLast4Char = url.length - 4;
    var last4Chars = url.substr(posLast4Char, 4);
    return ".php" === last4Chars.toLowerCase();
};

exports.getUrlWithoutProtocolAndQuery = function(url) {
    url += "";
    var indexOfProtocol = url.indexOf("://");
    -1 === indexOfProtocol ? indexOfProtocol = 0 : indexOfProtocol += 3;
    var indexOfQuery = url.indexOf("?");
    -1 === indexOfQuery && (indexOfQuery = url.length);
    return url.substr(indexOfProtocol, indexOfQuery - indexOfProtocol);
};