function Controller() {
    function L(key) {
        return require("L")(key);
    }
    function onClose() {
        $.destroy();
        $.off();
    }
    function tryIt() {
        require("Piwik/Tracker").trackEvent({
            title: "Try it",
            url: "/first-login/try-it"
        });
        require("login").login(accounts, "http://demo.piwik.org", "", "");
    }
    function openFaq() {
        require("Piwik/Tracker").trackEvent({
            title: "Open FAQ",
            url: "/first-login/open-faq"
        });
        require("commands/openFaq").execute();
    }
    function onOpen() {
        require("Piwik/Tracker").trackWindow("First Login", "first-login");
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    var __defers = {};
    Alloy.Collections.instance("appAccounts");
    $.__views.index = Ti.UI.createWindow({
        barImage: "navbar.png",
        backgroundColor: "#FFFFFF",
        barColor: "#CD1628",
        navBarHidden: true,
        modal: true,
        id: "index"
    });
    $.__views.index && $.addTopLevelView($.__views.index);
    onOpen ? $.__views.index.addEventListener("open", onOpen) : __defers["$.__views.index!open!onOpen"] = true;
    onClose ? $.__views.index.addEventListener("close", onClose) : __defers["$.__views.index!close!onClose"] = true;
    $.__views.__alloyId64 = Ti.UI.createScrollView({
        backgroundColor: "#ffffff",
        top: 0,
        id: "__alloyId64"
    });
    $.__views.index.add($.__views.__alloyId64);
    $.__views.mainView = Ti.UI.createView({
        layout: "vertical",
        height: Ti.UI.FILL,
        top: 0,
        id: "mainView"
    });
    $.__views.__alloyId64.add($.__views.mainView);
    $.__views.headerView = Ti.UI.createView({
        width: Ti.UI.FILL,
        top: 0,
        height: 180,
        id: "headerView"
    });
    $.__views.mainView.add($.__views.headerView);
    $.__views.logoImage = Ti.UI.createImageView({
        image: "logo-png-page.png",
        width: 140,
        height: 51,
        zIndex: 1,
        id: "logoImage"
    });
    $.__views.headerView.add($.__views.logoImage);
    $.__views.loginform = Ti.UI.createView({
        left: 20,
        right: 20,
        height: Ti.UI.SIZE,
        id: "loginform"
    });
    $.__views.mainView.add($.__views.loginform);
    $.__views.__alloyId65 = Ti.UI.createView({
        height: 40,
        id: "__alloyId65"
    });
    $.__views.mainView.add($.__views.__alloyId65);
    $.__views.footerView = Ti.UI.createView({
        bottom: 16,
        height: 40,
        width: Ti.UI.FILL,
        id: "footerView"
    });
    $.__views.__alloyId64.add($.__views.footerView);
    $.__views.tryit = Ti.UI.createLabel({
        color: "#333333",
        bottom: 0,
        font: {
            fontSize: 16,
            fontWeight: "bold"
        },
        left: 10,
        textAlign: Ti.UI.TEXT_ALIGNMENT_LEFT,
        text: L("Mobile_TryIt"),
        id: "tryit"
    });
    $.__views.footerView.add($.__views.tryit);
    tryIt ? $.__views.tryit.addEventListener("click", tryIt) : __defers["$.__views.tryit!click!tryIt"] = true;
    $.__views.faq = Ti.UI.createLabel({
        color: "#333333",
        bottom: 0,
        font: {
            fontSize: 16,
            fontWeight: "bold"
        },
        right: 10,
        textAlign: Ti.UI.TEXT_ALIGNMENT_RIGHT,
        text: L("General_Faq"),
        id: "faq"
    });
    $.__views.footerView.add($.__views.faq);
    openFaq ? $.__views.faq.addEventListener("click", openFaq) : __defers["$.__views.faq!click!openFaq"] = true;
    exports.destroy = function() {};
    _.extend($, $.__views);
    arguments[0] || {};
    var accounts = Alloy.Collections.appAccounts;
    var loginform = Alloy.createController("login_form", {
        accounts: accounts
    });
    $.loginform.add(loginform.getView());
    exports.close = function() {
        require("layout").close($.index);
    };
    exports.open = function() {
        require("layout").open($.index);
    };
    __defers["$.__views.index!open!onOpen"] && $.__views.index.addEventListener("open", onOpen);
    __defers["$.__views.index!close!onClose"] && $.__views.index.addEventListener("close", onClose);
    __defers["$.__views.tryit!click!tryIt"] && $.__views.tryit.addEventListener("click", tryIt);
    __defers["$.__views.faq!click!openFaq"] && $.__views.faq.addEventListener("click", openFaq);
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;