function Controller() {
    function doSelectMetric() {
        var params = {
            metrics: processedReport.getMetrics()
        };
        var metricsChooser = Alloy.createController("report_metrics_chooser", params);
        metricsChooser.on("metricChosen", onMetricChosen);
        metricsChooser.open();
    }
    function onMetricChosen(chosenMetric) {
        $.trigger("metricChosen", chosenMetric);
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    var __defers = {};
    $.__views.report_metadata = Ti.UI.createView({
        top: 0,
        backgroundColor: "white",
        height: Ti.UI.SIZE,
        id: "report_metadata"
    });
    $.__views.report_metadata && $.addTopLevelView($.__views.report_metadata);
    doSelectMetric ? $.__views.report_metadata.addEventListener("click", doSelectMetric) : __defers["$.__views.report_metadata!click!doSelectMetric"] = true;
    $.__views.__alloyId142 = Ti.UI.createView({
        backgroundColor: "#dcdcdc",
        height: 1,
        top: 0,
        id: "__alloyId142"
    });
    $.__views.report_metadata.add($.__views.__alloyId142);
    $.__views.name = Ti.UI.createLabel({
        color: "#191919",
        top: 21,
        bottom: 20,
        height: Ti.UI.SIZE,
        font: {
            fontWeight: "bold",
            fontSize: 15
        },
        text: "-",
        id: "name"
    });
    $.__views.report_metadata.add($.__views.name);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var processedReport = null;
    exports.update = function(processedReportCollection) {
        processedReport = processedReportCollection;
        var selectedMetricName = processedReport.getMetricName();
        $.name.text = selectedMetricName;
    };
    __defers["$.__views.report_metadata!click!doSelectMetric"] && $.__views.report_metadata.addEventListener("click", doSelectMetric);
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;