function Controller() {
    function renderStatistics() {
        renderStatistics.opts || {};
        var models = __alloyId161.models;
        var len = models.length;
        var children = $.__views.content.children;
        for (var d = children.length - 1; d >= 0; d--) $.__views.content.remove(children[d]);
        for (var i = 0; len > i; i++) {
            var __alloyId152 = models[i];
            __alloyId152.__transform = {};
            var __alloyId154 = Ti.UI.createView({
                height: Ti.UI.SIZE,
                width: Ti.UI.FILL,
                left: 0,
                right: 0
            });
            $.__views.content.add(__alloyId154);
            var __alloyId156 = Ti.UI.createLabel({
                color: "#7e7e7e",
                height: Ti.UI.SIZE,
                width: Ti.UI.SIZE,
                font: {
                    fontWeight: "bold"
                },
                top: 16,
                left: 10,
                bottom: 16,
                right: 95,
                textAlign: Ti.UI.TEXT_ALIGNMENT_LEFT,
                text: "undefined" != typeof __alloyId152.__transform["title"] ? __alloyId152.__transform["title"] : __alloyId152.get("title")
            });
            __alloyId154.add(__alloyId156);
            var __alloyId158 = Ti.UI.createLabel({
                color: "#191919",
                height: Ti.UI.SIZE,
                width: 75,
                font: {
                    fontWeight: "bold"
                },
                top: 16,
                right: 10,
                bottom: 16,
                textAlign: Ti.UI.TEXT_ALIGNMENT_RIGHT,
                text: "undefined" != typeof __alloyId152.__transform["value"] ? __alloyId152.__transform["value"] : __alloyId152.get("value")
            });
            __alloyId154.add(__alloyId158);
            var __alloyId160 = Ti.UI.createView({
                height: 1,
                width: Ti.UI.FILL,
                backgroundColor: "#dcdcdc",
                bottom: 0
            });
            __alloyId154.add(__alloyId160);
        }
    }
    function L(key) {
        return require("L")(key);
    }
    function openReport() {
        if (!hasReportRowsToDisplay()) return;
        var report = Alloy.createController("report_with_dimension", {
            report: $model
        });
        report.open();
    }
    function hideReportHasNoData() {
        $.noData.hide();
        $.noData.height = 0;
    }
    function showReportHasNoData() {
        $.noData.height = Ti.UI.SIZE;
        $.noData.show();
    }
    function hideMoreLink() {
        $.footer.hide();
        $.footer.height = 0;
    }
    function hasReportRowsToDisplay() {
        return $.piwikProcessedReport && $.piwikProcessedReport.length;
    }
    function showReportContent() {
        if (!hasReportRowsToDisplay()) {
            showReportHasNoData();
            hideMoreLink();
        }
        $.loadingIndicator.height = 0;
        $.loadingIndicator.hide();
        $.content.height = Ti.UI.SIZE;
        $.content.show();
    }
    function showLoadingMessage() {
        hideReportHasNoData();
        $.loadingIndicator.show();
    }
    function fetchProcessedReport() {
        var accountModel = require("session").getAccount();
        var siteModel = require("session").getWebsite();
        if (!accountModel || !siteModel) {
            console.log("account or site not found, cannot refresh report overview with dimension");
            return;
        }
        var module = $model.get("module");
        var action = $model.get("action");
        var metric = $model.getSortOrder();
        showLoadingMessage();
        $.piwikProcessedReport.fetchProcessedReports(metric, {
            account: accountModel,
            params: {
                period: reportDate.getPeriodQueryString(),
                date: reportDate.getDateQueryString(),
                idSite: siteModel.id,
                flat: flatten,
                filter_truncate: 3,
                apiModule: module,
                apiAction: action,
                showColumns: metric,
                hideMetricsDoc: 1
            },
            success: function() {
                isFetched = true;
                renderStatisticsIfViewIsInViewport();
            }
        });
    }
    function updateParentYPositionAndTryToRender(event) {
        lastParentYPosition = event.y;
        renderStatisticsIfViewIsInViewport();
    }
    function setMyYPositionAndTryToRender() {
        lastMyYPosition = $.index.rect ? $.index.rect.y : null;
        renderStatisticsIfViewIsInViewport();
    }
    function isMyViewLayouted() {
        return !_.isNull(lastMyYPosition);
    }
    function isViewInViewport() {
        if (!isMyViewLayouted()) return false;
        var scrollYPosition = platformHeight;
        lastParentYPosition && (scrollYPosition += lastParentYPosition);
        return scrollYPosition > lastMyYPosition;
    }
    function renderStatisticsIfViewIsInViewport() {
        if (!isRendered && isFetched && isViewInViewport()) {
            isRendered = true;
            renderStatisticsAndClose();
        }
    }
    function renderStatisticsAndClose() {
        renderStatistics();
        showReportContent();
        onClose();
    }
    function onClose() {
        $.index.removeEventListener("postlayout", setMyYPositionAndTryToRender);
        $model.off("scrollPosition", updateParentYPositionAndTryToRender);
        $.destroy();
        $.off();
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    var $model = arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    var __defers = {};
    $.piwikProcessedReport = Alloy.createCollection("piwikProcessedReport");
    $.__views.index = Ti.UI.createView({
        height: Ti.UI.SIZE,
        width: Ti.UI.FILL,
        borderRadius: 5,
        borderColor: "#d3d3d3",
        borderWidth: 1,
        backgroundColor: "white",
        top: 0,
        layout: "vertical",
        id: "index"
    });
    $.__views.index && $.addTopLevelView($.__views.index);
    setMyYPositionAndTryToRender ? $.__views.index.addEventListener("postlayout", setMyYPositionAndTryToRender) : __defers["$.__views.index!postlayout!setMyYPositionAndTryToRender"] = true;
    $.__views.__alloyId143 = Ti.UI.createView({
        height: Ti.UI.SIZE,
        width: Ti.UI.FILL,
        id: "__alloyId143"
    });
    $.__views.index.add($.__views.__alloyId143);
    openReport ? $.__views.__alloyId143.addEventListener("click", openReport) : __defers["$.__views.__alloyId143!click!openReport"] = true;
    $.__views.__alloyId144 = Ti.UI.createView({
        height: Ti.UI.SIZE,
        width: Ti.UI.FILL,
        top: 18,
        bottom: 18,
        left: 10,
        id: "__alloyId144"
    });
    $.__views.__alloyId143.add($.__views.__alloyId144);
    $.__views.__alloyId145 = Ti.UI.createLabel({
        color: "#191919",
        font: {
            fontWeight: "bold"
        },
        left: 0,
        width: Ti.UI.SIZE,
        text: "undefined" != typeof $model.__transform["name"] ? $model.__transform["name"] : $model.get("name"),
        id: "__alloyId145"
    });
    $.__views.__alloyId144.add($.__views.__alloyId145);
    $.__views.__alloyId146 = Ti.UI.createView({
        height: 1,
        width: Ti.UI.FILL,
        backgroundColor: "#dcdcdc",
        bottom: 0,
        id: "__alloyId146"
    });
    $.__views.index.add($.__views.__alloyId146);
    $.__views.__alloyId147 = Ti.UI.createView({
        height: Ti.UI.SIZE,
        width: Ti.UI.FILL,
        backgroundColor: "#efefef",
        id: "__alloyId147"
    });
    $.__views.index.add($.__views.__alloyId147);
    $.__views.__alloyId148 = Ti.UI.createLabel({
        color: "#191919",
        top: 14,
        bottom: 14,
        left: 10,
        width: Ti.UI.SIZE,
        height: Ti.UI.SIZE,
        font: {
            fontWeight: "normal"
        },
        text: "undefined" != typeof $model.__transform["dimension"] ? $model.__transform["dimension"] : $model.get("dimension"),
        id: "__alloyId148"
    });
    $.__views.__alloyId147.add($.__views.__alloyId148);
    $.__views.metric = Ti.UI.createLabel({
        color: "#191919",
        top: 14,
        bottom: 14,
        right: 10,
        width: Ti.UI.SIZE,
        height: Ti.UI.SIZE,
        textAlign: Ti.UI.TEXT_ALIGNMENT_RIGHT,
        font: {
            fontWeight: "normal"
        },
        id: "metric"
    });
    $.__views.__alloyId147.add($.__views.metric);
    $.__views.__alloyId149 = Ti.UI.createView({
        height: 1,
        width: Ti.UI.FILL,
        backgroundColor: "#dcdcdc",
        bottom: 0,
        id: "__alloyId149"
    });
    $.__views.index.add($.__views.__alloyId149);
    $.__views.loadingIndicator = Alloy.createController("loading_indicator", {
        height: 160,
        backgroundColor: "#efefef",
        color: "#7e7e7e",
        width: Ti.UI.FILL,
        id: "loadingIndicator",
        __parentSymbol: $.__views.index
    });
    $.__views.loadingIndicator.setParent($.__views.index);
    $.__views.noData = Ti.UI.createView({
        height: 0,
        width: Ti.UI.FILL,
        visible: false,
        backgroundColor: "#efefef",
        id: "noData"
    });
    $.__views.index.add($.__views.noData);
    $.__views.__alloyId150 = Ti.UI.createLabel({
        color: "#7e7e7e",
        top: 18,
        bottom: 18,
        left: 10,
        height: Ti.UI.SIZE,
        text: L("CoreHome_TableNoData"),
        id: "__alloyId150"
    });
    $.__views.noData.add($.__views.__alloyId150);
    $.__views.__alloyId151 = Ti.UI.createView({
        height: 1,
        width: Ti.UI.FILL,
        backgroundColor: "#dcdcdc",
        bottom: 0,
        id: "__alloyId151"
    });
    $.__views.noData.add($.__views.__alloyId151);
    $.__views.content = Ti.UI.createView({
        height: Ti.UI.SIZE,
        width: Ti.UI.FILL,
        backgroundColor: "#efefef",
        layout: "vertical",
        visible: false,
        id: "content",
        dataFunction: "renderStatistics"
    });
    $.__views.index.add($.__views.content);
    var __alloyId161 = Alloy.Collections["$.piwikProcessedReport"] || $.piwikProcessedReport;
    __alloyId161.on("fetch destroy change add remove reset", renderStatistics);
    $.__views.footer = Ti.UI.createView({
        height: 35,
        width: Ti.UI.FILL,
        id: "footer"
    });
    $.__views.index.add($.__views.footer);
    openReport ? $.__views.footer.addEventListener("click", openReport) : __defers["$.__views.footer!click!openReport"] = true;
    $.__views.__alloyId162 = Ti.UI.createLabel({
        color: "#333333",
        left: 10,
        width: Ti.UI.SIZE,
        text: L("General_More"),
        id: "__alloyId162"
    });
    $.__views.footer.add($.__views.__alloyId162);
    exports.destroy = function() {
        __alloyId161.off("fetch destroy change add remove reset", renderStatistics);
    };
    _.extend($, $.__views);
    var args = arguments[0] || {};
    var flatten = args.flatten || 0;
    var reportDate = require("session").getReportDate();
    var $model = args ? args["$model"] : null;
    $.metric.text = $model.getMetricName();
    var isFetched = false;
    var isRendered = false;
    var lastParentYPosition = null;
    var lastMyYPosition = null;
    $model.on("scrollPosition", updateParentYPositionAndTryToRender);
    var platformHeight = Ti.Platform.displayCaps.platformHeight;
    $.piwikProcessedReport.off("fetch destroy change add remove reset", renderStatistics);
    fetchProcessedReport();
    __defers["$.__views.index!postlayout!setMyYPositionAndTryToRender"] && $.__views.index.addEventListener("postlayout", setMyYPositionAndTryToRender);
    __defers["$.__views.__alloyId143!click!openReport"] && $.__views.__alloyId143.addEventListener("click", openReport);
    __defers["$.__views.footer!click!openReport"] && $.__views.footer.addEventListener("click", openReport);
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;