function Controller() {
    function L(key) {
        return require("L")(key);
    }
    function goalConversionDescription(visitor) {
        var goalsText = String.format(L("General_VisitConvertedNGoals"), "" + visitor.goalConversions);
        return goalsText;
    }
    function pageviewsDescription(visitor) {
        var description = "";
        visitor.actions && visitor.visitDurationPretty ? description = String.format("%s %s (%s)", "" + visitor.actions, L("General_ColumnPageviews"), "" + visitor.visitDurationPretty) : visitor.actions && (description = String.format("%s %s", "" + visitor.actions, L("General_ColumnPageviews")));
        return description;
    }
    function referrerDescription(visitor) {
        var description = "";
        if (visitor.referrerName) {
            description = L("General_FromReferrer") + " " + visitor.referrerName;
            visitor.referrerKeyword && (description += " - " + visitor.referrerKeyword);
            visitor.referrerKeywordPosition && (description += String.format(" %s: #%s", L("SEO_Rank"), "" + visitor.referrerKeywordPosition));
        } else visitor.referrerTypeName && (description = L("General_FromReferrer") + " " + visitor.referrerTypeName);
        visitor = null;
        return description;
    }
    function visitTime(visitor) {
        var timeLabel = "";
        timeLabel = useFirstVisitTime ? visitor.serverDatePrettyFirstAction + " - " + visitor.serverTimePrettyFirstAction : visitor.serverDatePretty + " - " + visitor.serverTimePretty;
        return timeLabel;
    }
    function updateDisplayedValues(visitor) {
        if (!visitor) return;
        visitor.goalConversions && ($.index.backgroundColor = "#FFFFC4");
        $.visittime.text = visitTime(visitor);
        $.referrer.text = referrerDescription(visitor);
        $.pageViews.text = goalConversionDescription(visitor);
        $.goalConversions.text = pageviewsDescription(visitor);
        visitor.countryFlag && ($.countryFlag.image = accountModel.getBasePath() + visitor.countryFlag);
        visitor.browserIcon && ($.browserIcon.image = accountModel.getBasePath() + visitor.browserIcon);
        visitor.operatingSystemIcon && ($.operatingSystemIcon.image = accountModel.getBasePath() + visitor.operatingSystemIcon);
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    $.__views.index = Ti.UI.createTableViewRow({
        layout: "vertical",
        hasChild: true,
        height: Ti.UI.SIZE,
        id: "index"
    });
    $.__views.index && $.addTopLevelView($.__views.index);
    $.__views.__alloyId232 = Ti.UI.createView({
        top: 8,
        layout: "horizontal",
        height: Ti.UI.SIZE,
        width: Ti.UI.FILL,
        left: 0,
        id: "__alloyId232"
    });
    $.__views.index.add($.__views.__alloyId232);
    $.__views.visittime = Ti.UI.createLabel({
        color: "#333333",
        top: 0,
        font: {
            fontSize: 14,
            fontWeight: "bold"
        },
        left: 10,
        textAlign: "left",
        width: Ti.UI.SIZE,
        height: Ti.UI.SIZE,
        id: "visittime"
    });
    $.__views.__alloyId232.add($.__views.visittime);
    $.__views.countryFlag = Ti.UI.createImageView({
        left: 12,
        canScale: false,
        enableZoomControls: false,
        borderWidth: 0,
        top: 4,
        width: 18,
        height: 12,
        bottom: 0,
        id: "countryFlag"
    });
    $.__views.__alloyId232.add($.__views.countryFlag);
    $.__views.browserIcon = Ti.UI.createImageView({
        left: 6,
        canScale: false,
        enableZoomControls: false,
        borderWidth: 0,
        top: 3,
        width: 14,
        height: 14,
        bottom: 0,
        id: "browserIcon"
    });
    $.__views.__alloyId232.add($.__views.browserIcon);
    $.__views.operatingSystemIcon = Ti.UI.createImageView({
        left: 6,
        canScale: false,
        enableZoomControls: false,
        borderWidth: 0,
        top: 3,
        width: 14,
        height: 14,
        bottom: 0,
        id: "operatingSystemIcon"
    });
    $.__views.__alloyId232.add($.__views.operatingSystemIcon);
    $.__views.referrer = Ti.UI.createLabel({
        color: "#333333",
        top: 4,
        font: {
            fontSize: 13
        },
        height: Ti.UI.SIZE,
        width: Ti.UI.SIZE,
        left: 10,
        textAlign: "left",
        id: "referrer"
    });
    $.__views.index.add($.__views.referrer);
    $.__views.goalConversions = Ti.UI.createLabel({
        color: "#333333",
        top: 4,
        font: {
            fontSize: 13
        },
        height: Ti.UI.SIZE,
        width: Ti.UI.SIZE,
        left: 10,
        textAlign: "left",
        id: "goalConversions"
    });
    $.__views.index.add($.__views.goalConversions);
    $.__views.pageViews = Ti.UI.createLabel({
        color: "#333333",
        top: 4,
        font: {
            fontSize: 13
        },
        height: Ti.UI.SIZE,
        width: Ti.UI.SIZE,
        left: 10,
        textAlign: "left",
        bottom: 8,
        id: "pageViews"
    });
    $.__views.index.add($.__views.pageViews);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var args = arguments[0] || {};
    var accountModel = args.account || false;
    var useFirstVisitTime = args.useFirstVisit || false;
    var visitor = args.visitor || {};
    updateDisplayedValues(visitor);
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;