function Controller() {
    function chooseWebsite() {
        if (!isAnAccountSelected()) return;
        $.trigger("selected", {});
        require("commands/openWebsiteChooser").execute(onWebsiteChosen);
    }
    function onWebsiteChosen(event) {
        session.setWebsite(event.site, event.account);
    }
    function isAnAccountSelected() {
        return !!session.getAccount();
    }
    function updateWebsiteName(siteModel) {
        $.websiteName.text = siteModel ? siteModel.getName() : "";
    }
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    var __defers = {};
    $.__views.index = Ti.UI.createView({
        right: 0,
        left: 0,
        height: Ti.UI.SIZE,
        id: "index"
    });
    $.__views.index && $.addTopLevelView($.__views.index);
    chooseWebsite ? $.__views.index.addEventListener("click", chooseWebsite) : __defers["$.__views.index!click!chooseWebsite"] = true;
    $.__views.__alloyId233 = Ti.UI.createView({
        backgroundImage: "menu_button_background.png",
        height: Ti.UI.SIZE,
        borderColor: "#000",
        borderRadius: 5,
        borderWidth: 1,
        id: "__alloyId233"
    });
    $.__views.index.add($.__views.__alloyId233);
    $.__views.__alloyId234 = Ti.UI.createView({
        backgroundColor: "#595959",
        height: 1,
        top: 0,
        width: Ti.UI.FILL,
        id: "__alloyId234"
    });
    $.__views.__alloyId233.add($.__views.__alloyId234);
    $.__views.__alloyId235 = Ti.UI.createView({
        left: 8,
        top: 5,
        bottom: 5,
        right: 5,
        height: Ti.UI.SIZE,
        id: "__alloyId235"
    });
    $.__views.__alloyId233.add($.__views.__alloyId235);
    $.__views.websiteName = Ti.UI.createLabel({
        color: "#d5d5d5",
        font: {
            fontSize: 15
        },
        left: 0,
        right: 42,
        textAlign: Ti.UI.TEXT_ALIGNMENT_LEFT,
        height: Ti.UI.SIZE,
        id: "websiteName",
        text: " - "
    });
    $.__views.__alloyId235.add($.__views.websiteName);
    $.__views.__alloyId236 = Ti.UI.createImageView({
        image: "ic_action_menu_website.png",
        right: 0,
        width: 22,
        height: 22,
        id: "__alloyId236"
    });
    $.__views.__alloyId235.add($.__views.__alloyId236);
    $.__views.__alloyId237 = Ti.UI.createView({
        backgroundColor: "#272727",
        height: 1,
        bottom: 0,
        width: Ti.UI.FILL,
        id: "__alloyId237"
    });
    $.__views.__alloyId233.add($.__views.__alloyId237);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var session = require("session");
    session.on("websiteChanged", updateWebsiteName);
    updateWebsiteName(session.getWebsite());
    __defers["$.__views.index!click!chooseWebsite"] && $.__views.index.addEventListener("click", chooseWebsite);
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;