exports.definition = {
    config: {
        columns: {
            piwikLanguage: "string",
            piwikMultiChart: "boolean",
            trackingEnabled: "boolean",
            graphsEnabled: "boolean",
            preferEvolutionGraphs: "boolean",
            httpTimeout: "integer",
            piwikDefaultReportDate: "string"
        },
        adapter: {
            type: "properties",
            collection_name: "settings"
        }
    },
    extendModel: function(Model) {
        _.extend(Model.prototype, {});
        return Model;
    },
    extendCollection: function(Collection) {
        _.extend(Collection.prototype, {});
        return Collection;
    }
};

var Alloy = require("alloy"), _ = require("alloy/underscore")._, model, collection;

model = Alloy.M("settings", exports.definition, []);

collection = Alloy.C("settings", exports.definition, model);

exports.Model = model;

exports.Collection = collection;