module.exports = [ {
    isApi: true,
    priority: 1000.0001,
    key: "Window",
    style: {
        barImage: "navbar.png",
        backgroundColor: "#FFFFFF",
        barColor: "#CD1628"
    }
}, {
    isApi: true,
    priority: 1000.0004,
    key: "NavigationGroup",
    style: {
        barImage: "navbar.png"
    }
}, {
    isApi: true,
    priority: 1000.0005,
    key: "Label",
    style: {
        color: "#333333"
    }
}, {
    isApi: true,
    queries: {
        platform: [ "android" ]
    },
    priority: 1101.0002,
    key: "Window",
    style: {
        exitOnClose: true
    }
}, {
    isApi: true,
    queries: {
        platform: [ "ios" ]
    },
    priority: 1101.0003000000002,
    key: "Window",
    style: {
        navBarHidden: false
    }
}, {
    isApi: true,
    queries: {
        platform: [ "android" ]
    },
    priority: 1101.0005999999998,
    key: "TableViewRow",
    style: {
        font: {
            fontSize: "16sp"
        }
    }
}, {
    isApi: true,
    queries: {
        platform: [ "android" ]
    },
    priority: 1101.0007,
    key: "Label",
    style: {
        font: {
            fontSize: "16sp"
        }
    }
}, {
    isClass: true,
    priority: 10000.0008,
    key: "reportChooserButton",
    style: {
        backgroundImage: "ic_action_menu.png",
        width: 32,
        height: 32
    }
}, {
    isClass: true,
    queries: {
        platform: [ "ios" ]
    },
    priority: 10101.0009,
    key: "reportConfiguratorButton",
    style: {
        backgroundImage: "ic_action_reportmenu.png",
        width: 32,
        height: 32
    }
}, {
    isClass: true,
    queries: {
        platform: [ "mobileweb" ]
    },
    priority: 10101.001,
    key: "reportConfiguratorButton",
    style: {
        backgroundImage: "ic_action_reportmenu.png",
        width: 32,
        height: 32
    }
}, {
    isId: true,
    priority: 100000.004,
    key: "headerBar",
    style: {
        top: 0,
        height: "48dp",
        width: "__ALLOY_EXPR__--Ti.UI.FILL",
        backgroundColor: "#CD1628"
    }
}, {
    isId: true,
    priority: 100000.0041,
    key: "backButton",
    style: {
        left: 0,
        width: "46dp",
        height: "46dp",
        backgroundColor: "transparent"
    }
}, {
    isId: true,
    priority: 100000.0042,
    key: "backangle",
    style: {
        left: "3dp",
        height: "40dp",
        width: "10dp"
    }
}, {
    isId: true,
    priority: 100000.0043,
    key: "homeIcon",
    style: {
        left: "16dp",
        height: "30dp",
        width: "30dp",
        backgroundColor: "transparent"
    }
}, {
    isId: true,
    priority: 100000.0044,
    key: "headerTitle",
    style: {
        left: "53dp",
        color: "#ffffff",
        font: {
            fontSize: "18sp",
            fontFamily: "Roboto-Thin"
        },
        height: "__ALLOY_EXPR__--Ti.UI.SIZE",
        width: "__ALLOY_EXPR__--Ti.UI.SIZE",
        wordWrap: false,
        ellipsize: true
    }
}, {
    isId: true,
    priority: 100000.0045,
    key: "actionButtons",
    style: {
        right: 0,
        width: "__ALLOY_EXPR__--Ti.UI.SIZE",
        height: "48dp",
        backgroundColor: "transparent",
        layout: "horizontal"
    }
} ];