function WPATH(s) {
    var index = s.lastIndexOf("/");
    var path = -1 === index ? "org.piwik.tableviewrow/" + s : s.substring(0, index) + "/org.piwik.tableviewrow/" + s.substring(index + 1);
    return path;
}

function Controller() {
    new (require("alloy/widget"))("org.piwik.tableviewrow");
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    arguments[0] ? arguments[0]["__itemTemplate"] : null;
    var $ = this;
    var exports = {};
    $.__views.row = Ti.UI.createTableViewRow({
        height: Ti.UI.SIZE,
        id: "row"
    });
    $.__views.row && $.addTopLevelView($.__views.row);
    $.__views.title = Ti.UI.createLabel({
        color: "#333333",
        textAlign: Ti.UI.TEXT_ALIGNMENT_LEFT,
        width: Ti.UI.SIZE,
        height: Ti.UI.SIZE,
        left: 10,
        ellipsize: true,
        wordWrap: false,
        font: {
            fontSize: 18,
            fontWeight: "bold"
        },
        top: 11,
        bottom: 11,
        touchEnabled: false,
        id: "title"
    });
    $.__views.row.add($.__views.title);
    $.__views.value = Ti.UI.createLabel({
        color: "#385487",
        right: 10,
        font: {
            fontSize: 18
        },
        textAlign: Ti.UI.TEXT_ALIGNMENT_RIGHT,
        width: Ti.UI.SIZE,
        height: Ti.UI.SIZE,
        touchEnabled: false,
        id: "value"
    });
    $.__views.row.add($.__views.value);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var args = arguments[0] || {};
    $.title.text = args.title;
    $.value.text = args.value;
    args.hasChild && ($.index.hasChild = true);
    exports.changeTitle = function(title) {
        $.title.text = title;
    };
    exports.changeValue = function(value) {
        $.value.text = value;
    };
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;