module.exports = {
    General_AllWebsitesDashboard: "All Websites dashboard",
    General_Settings: "Settings",
    General_GiveUsYourFeedback: "Give us Feedback!",
    General_Unknown: "Unknown",
    General_Required: "%s required",
    General_NotValid: "%s is not valid",
    General_Error: "Error",
    General_Yes: "Yes",
    General_No: "No",
    General_Delete: "Delete",
    General_Reports: "Reports",
    General_Metric: "Metric",
    General_Edit: "Edit",
    General_Download: "Download",
    General_Ok: "Ok",
    General_Close: "Close",
    General_Done: "Done",
    General_Value: "Value",
    General_Subtotal: "Subtotal",
    General_Details: "Details",
    General_FromReferrer: "from",
    General_VisitorIP: "Visitor IP",
    General_VisitType: "Visitor type",
    General_NumberOfVisits: "Number of visits",
    General_VisitConvertedNGoals: "Visit converted %s Goals",
    General_NewVisitor: "New Visitor",
    General_Visitor: "Visitor",
    General_Date: "Date",
    General_Period: "Period",
    General_ChooseDate: "Choose date",
    General_Today: "Today",
    General_Yesterday: "Yesterday",
    General_CurrentWeek: "Current Week",
    General_CurrentMonth: "Current Month",
    General_CurrentYear: "Current Year",
    General_DateRangeFrom_js: "From",
    General_DateRangeTo_js: "To",
    General_LastDaysShort: "Last %s days",
    General_PreviousDaysShort: "Previous %s days",
    General_LoadingData: "Loading data...",
    General_Next: "Next",
    General_Previous: "Previous",
    General_Others: "Others",
    General_Visitors: "Visitors",
    General_YourChangesHaveBeenSaved: "Your changes have been saved.",
    General_ErrorRequest: "Oops… problem during the request, please try again.",
    General_ColumnNbVisits: "Visits",
    General_ColumnPageviews: "Pageviews",
    General_Save: "Save",
    General_Faq: "FAQ",
    General_ForExampleShort: "eg.",
    General_GeneralSettings: "General Settings",
    General_AboutPiwikX: "About Piwik %s",
    General_PiwikXIsAvailablePleaseNotifyPiwikAdmin: "%s is available. Please notify the site administrator.",
    General_LongMonth_1: "January",
    General_LongMonth_2: "February",
    General_LongMonth_3: "March",
    General_LongMonth_4: "April",
    General_LongMonth_5: "May",
    General_LongMonth_6: "June",
    General_LongMonth_7: "July",
    General_LongMonth_8: "August",
    General_LongMonth_9: "September",
    General_LongMonth_10: "October",
    General_LongMonth_11: "November",
    General_LongMonth_12: "December",
    General_ExceptionPrivilegeAtLeastOneWebsite: "You can't access this resource as it requires an %s access for at least one website.",
    General_InvalidResponse: "The received data is invalid.",
    General_ChooseLanguage: "Choose language",
    General_ChoosePeriod: "Choose period",
    General_ChooseWebsite: "Choose website",
    General_Language: "Language",
    General_PleaseUpdatePiwik: "Please update your Piwik",
    General_RequestTimedOut: "A data request to %s timed out. Please try again.",
    General_Goal: "Goal",
    General_Outlink: "Outlink",
    General_Help: "Help",
    Actions_SubmenuSitesearch: "Site Search",
    CoreHome_PeriodDay: "Day",
    CoreHome_PeriodWeek: "Week",
    CoreHome_PeriodMonth: "Month",
    CoreHome_PeriodYear: "Year",
    CoreHome_PeriodRange: "Range",
    CorePluginsAdmin_Deactivate: "Deactivate",
    CorePluginsAdmin_Activate: "Activate",
    CoreUpdater_UpdateTitle: "Update",
    CustomVariables_CustomVariables: "Custom Variables",
    Feedback_DoYouHaveBugReportOrFeatureRequest: "Do you have a bug to report or a feature request?",
    Feedback_ThankYou: "Thank you for helping us to make Piwik better!",
    Goals_Ecommerce: "Ecommerce",
    Goals_EcommerceOrder: "Ecommerce order",
    Goals_AbandonedCart: "Abandoned Cart",
    Live_VisitorsInRealTime: "Visitors in Real-time",
    Live_VisitorLog: "Visitor Log",
    Live_LastMinutes: "Last %s minutes",
    Live_LastHours: "Last %s hours",
    Live_GoalRevenue: "Revenue",
    Login_Password: "Password",
    Mobile_Accounts: "Accounts",
    Mobile_AddAccount: "Add account",
    Mobile_AddPiwikDemo: "Add Piwik Demo",
    Mobile_AnonymousTracking: "Anonymous tracking",
    Mobile_AskForAnonymousTrackingPermission: "When enabled, Piwik Mobile will send anonymous usage data to piwik.org. The intent is to use this data to help Piwik Mobile developers better understand how the app is used. Information sent is: menus and settings clicked on, OS name and version, any error displayed in Piwik Mobile. We will NOT track any of your analytics data. This anonymous data will never be made public. You can disable/enable anonymous tracking in Settings at any time.",
    Mobile_Advanced: "Advanced",
    Mobile_ChooseHttpTimeout: "Choose HTTP timeout value",
    Mobile_ChooseMetric: "Choose Metric",
    Mobile_ChooseReport: "Choose a report",
    Mobile_HelpUsToImprovePiwikMobile: "Would you like to enable anonymous usage tracking in Piwik Mobile?",
    Mobile_HttpIsNotSecureWarning: "Your Piwik authorization token (token_auth) is sent in clear text if you use 'HTTP'. For this reason we recommend HTTPS for secure transport of data over the internet. Do you want to proceed?",
    Mobile_HowtoDeleteAnAccountOniOS: "Swipe left to right to delete an account",
    Mobile_LastUpdated: "Last Updated: %s",
    Mobile_LoginCredentials: "Credentials",
    Mobile_LoginUseHttps: "Use https",
    Mobile_PullDownToRefresh: "Pull down to refresh...",
    Mobile_RatingNotNow: "Not now",
    Mobile_RatingNow: "OK, I'll rate it now",
    Mobile_RatingDontRemindMe: "Don't remind me",
    Mobile_RatingPleaseRateUs: "Piwik Mobile App is a Free Software, we would really appreciate if you took 1 minute to rate the app in the %s. If you have suggestions of new features or bug reports, please contact %s",
    Mobile_Refresh: "Refresh",
    Mobile_Reloading: "Reloading...",
    Mobile_ReleaseToRefresh: "Release to refresh...",
    Mobile_ShowAll: "Show all",
    Mobile_ShowLess: "Show less",
    Mobile_HttpTimeout: "HTTP Timeout",
    Mobile_VerifyAccount: "Verifying Account",
    Mobile_VerifyLoginData: "Make sure your username and password combination is correct.",
    Mobile_AnonymousAccess: "Anonymous access",
    Mobile_AccessUrlLabel: "Piwik Access Url",
    Mobile_EnableGraphsLabel: "Display graphs",
    Mobile_EvolutionGraph: "Historical Graph",
    Mobile_StaticGraph: "Overview Graph",
    Mobile_DefaultReportDate: "Report date",
    Mobile_MultiChartLabel: "Display sparklines",
    Mobile_NetworkErrorWithStatusCode: 'There was an error "%s". The request returned the status "%s". URL was "%s". Please check your entered URL and the error logs on this server for more information about the error and how to resolve it.',
    Mobile_NetworkNotReachable: "Network not reachable",
    Mobile_NavigationBack: "Back",
    Mobile_NoPiwikAccount: "No Piwik Account?",
    Mobile_NoVisitorFound: "No visitor found",
    Mobile_NoWebsiteFound: "No website found",
    Mobile_SaveSuccessError: "Piwik URL or username and password combination is wrong.",
    Mobile_SearchWebsite: "Search websites",
    Mobile_UseSearchBarHint: "Only the first %s websites are displayed here. Please use the search bar to access your other websites.",
    Mobile_YouAreOffline: "Sorry, you are currently offline",
    SEO_Rank: "Rank",
    SitesManager_ExceptionInvalidUrl: "The url '%s' is not a valid URL.",
    UserCountry_Country: "Country",
    UserCountryMap_RealTimeMap: "Real-time Map",
    UserSettings_VisitorSettings: "Visitor Settings",
    UserSettings_Plugins: "Plugins",
    UserSettings_ColumnBrowser: "Browser",
    UserSettings_ColumnResolution: "Resolution",
    UsersManager_ManageAccess: "Manage access",
    UsersManager_PrivView: "View",
    VisitsSummary_NbVisits: "%s visits"
};