module.exports = {
    General_AllWebsitesDashboard: "Le dashboard di tutti i siti",
    General_Settings: "Impostazioni",
    General_GiveUsYourFeedback: "Suggerimenti?",
    General_Unknown: "Sconosciuto",
    General_Required: "%s richiesto",
    General_NotValid: "%s non è valido",
    General_Error: "Errore",
    General_Yes: "Sì",
    General_No: "No",
    General_Delete: "Cancella",
    General_Reports: "Report",
    General_Metric: "Metrica",
    General_Edit: "Modifica",
    General_Download: "Download",
    General_Ok: "Ok",
    General_Close: "Chiudi",
    General_Done: "Fatto",
    General_Value: "Valore",
    General_Subtotal: "Subtotale",
    General_Details: "Dettagli",
    General_FromReferrer: "da",
    General_VisitorIP: "IP visitatore",
    General_VisitType: "Tipo di visitatore",
    General_NumberOfVisits: "Numero di visite",
    General_VisitConvertedNGoals: "Visite convertite %s in goal",
    General_NewVisitor: "Nuovo visitatore",
    General_Visitor: "Visitatore",
    General_Date: "Data",
    General_Period: "Periodo",
    General_ChooseDate: "Scegli data",
    General_Today: "Oggi",
    General_Yesterday: "Ieri",
    General_CurrentWeek: "Settimana corrente",
    General_CurrentMonth: "Mese corrente",
    General_CurrentYear: "Anno corrente",
    General_DateRangeFrom_js: "Da",
    General_DateRangeTo_js: "A",
    General_LastDaysShort: "Ultimi %s giorni",
    General_PreviousDaysShort: "Precedenti %s giorni",
    General_LoadingData: "Sto caricando i dati...",
    General_Next: "Successivo",
    General_Previous: "Precedente",
    General_Others: "Altri",
    General_Visitors: "Visitatori",
    General_YourChangesHaveBeenSaved: "Le impostazioni sono state salvate.",
    General_ErrorRequest: "Oops… si è verificato un errore durante la richiesta, per favore riprova.",
    General_ColumnNbVisits: "Visite",
    General_ColumnPageviews: "Visualizzazioni",
    General_Save: "Salva",
    General_Faq: "FAQ",
    General_ForExampleShort: "es.",
    General_GeneralSettings: "Impostazioni Generali",
    General_AboutPiwikX: "Riguardo Piwik %s",
    General_PiwikXIsAvailablePleaseNotifyPiwikAdmin: "%s è disponibile. Per favore, contatta l'amministratore del sito.",
    General_LongMonth_1: "Gennaio",
    General_LongMonth_2: "Febbraio",
    General_LongMonth_3: "Marzo",
    General_LongMonth_4: "Aprile",
    General_LongMonth_5: "Maggio",
    General_LongMonth_6: "Giugno",
    General_LongMonth_7: "Luglio",
    General_LongMonth_8: "Agosto",
    General_LongMonth_9: "Settembre",
    General_LongMonth_10: "Ottobre",
    General_LongMonth_11: "Novembre",
    General_LongMonth_12: "Dicembre",
    General_ExceptionPrivilegeAtLeastOneWebsite: "Non puoi accedere alla risorsa richiesta perché è necessario essere autorizzati come %s per almeno un sito web.",
    General_InvalidResponse: "I dati ricevuti non sono validi.",
    General_ChooseLanguage: "Scegli la lingua",
    General_ChoosePeriod: "Scegli il periodo",
    General_ChooseWebsite: "Scegli il sito",
    General_Language: "Lingua",
    General_PleaseUpdatePiwik: "Per favore, aggiorna il tuo Piwik",
    General_RequestTimedOut: "La richiesta di dati a %s",
    General_Goal: "Goal",
    General_Outlink: "Outlink",
    General_Help: "Aiuto",
    Actions_SubmenuSitesearch: "Ricerca sul Sito",
    CoreHome_PeriodDay: "Giorno",
    CoreHome_PeriodWeek: "Settimana",
    CoreHome_PeriodMonth: "Mese",
    CoreHome_PeriodYear: "Anno",
    CoreHome_PeriodRange: "Intervallo",
    CorePluginsAdmin_Deactivate: "Disattiva",
    CorePluginsAdmin_Activate: "Attiva",
    CoreUpdater_UpdateTitle: "Piwik › Aggiornamenti",
    CustomVariables_CustomVariables: "Variabili Personalizzate",
    Feedback_DoYouHaveBugReportOrFeatureRequest: "Hai un bug da segnalare o una richiesta di funzionalità?",
    Feedback_ThankYou: "Grazie per aiutarci a rendere Piwik migliore!",
    Goals_Ecommerce: "Ecommerce",
    Goals_EcommerceOrder: "Ordini Ecommerce",
    Goals_AbandonedCart: "Ordini abbandonati",
    Live_VisitorsInRealTime: "Visite in Tempo Reale",
    Live_VisitorLog: "Log Visitatori",
    Live_LastMinutes: "Ultimi %s minuti",
    Live_LastHours: "Ultime %s ore",
    Live_GoalRevenue: "Entrate",
    Login_Password: "Password",
    Mobile_AddAccount: "Aggiungi account",
    Mobile_Advanced: "Avanzate",
    Mobile_ChooseHttpTimeout: "Scegliere il valore di timeout HTTP",
    Mobile_ChooseMetric: "Scegli metriche",
    Mobile_HelpUsToImprovePiwikMobile: "Vuoi abilitare il rilevamento anonimo in Piwik Mobile?",
    Mobile_HowtoDeleteAnAccountOniOS: "Scorrere da sinistra a destra per eliminare un account",
    Mobile_LastUpdated: "Ultimo aggiornamento: %s",
    Mobile_LoginCredentials: "Credenziali",
    Mobile_RatingNotNow: "Non ora",
    Mobile_Refresh: "Aggiotnando",
    Mobile_Reloading: "Ricaricando...",
    Mobile_ReleaseToRefresh: "Rilascia per aggiornare...",
    Mobile_ShowAll: "Mostra tutto",
    Mobile_ShowLess: "Mostra meno",
    Mobile_HttpTimeout: "HTTP Timeout",
    Mobile_VerifyLoginData: "Verifica username e password.",
    Mobile_AnonymousAccess: "Accesso anonimo",
    Mobile_AccessUrlLabel: "Url accesso Piwik",
    Mobile_EnableGraphsLabel: "Mostra grafici",
    Mobile_DefaultReportDate: "Data report",
    Mobile_MultiChartLabel: "Mostra sparklines",
    Mobile_NetworkNotReachable: "Impossibile connettersi",
    Mobile_NavigationBack: "Indietro",
    Mobile_SaveSuccessError: "Per favore verifica le impostazioni",
    Mobile_YouAreOffline: "Spiacente, sei al momento offline",
    SEO_Rank: "Rank",
    SitesManager_ExceptionInvalidUrl: 'L\'indirizzo "%s" non è un URL valido.',
    UserCountry_Country: "Paese",
    UserCountryMap_RealTimeMap: "Mappa in tempo reale",
    UserSettings_VisitorSettings: "Impostazioni visitatori",
    UserSettings_Plugins: "Plugins",
    UserSettings_ColumnBrowser: "Browser",
    UserSettings_ColumnResolution: "Risoluzione",
    UsersManager_ManageAccess: "Amministra l'accesso",
    UsersManager_PrivView: "Visualizza statistiche",
    VisitsSummary_NbVisits: "%s visite"
};