function iOsLayout(rootWindow) {
    function bootstrap(win) {
        navGroup = Ti.UI.iPhone.createNavigationGroup({
            window: win
        });
        rootWindow.add(navGroup);
        rootWindow.open();
        isBootstrapped = true;
        win = null;
    }
    var navGroup = null;
    var isBootstrapped = false;
    _.extend(this, Backbone.Events, {
        close: function(win) {
            if (!win) return;
            navGroup.close(win, {
                animated: true
            });
            win = null;
        },
        open: function(win) {
            isBootstrapped ? navGroup.open(win, {
                animated: true
            }) : bootstrap(win);
            this.trigger("open", win);
            win = null;
        }
    });
}

var Alloy = require("alloy");

var Backbone = Alloy.Backbone;

var _ = Alloy._;

exports = iOsLayout;